/*!
* MediaElement.js
* HTML5 <video> and <audio> shim and player
* http://mediaelementjs.com/
*
* Creates a JavaScript object that mimics HTML5 MediaElement API
* for browsers that don't understand HTML5 or can't play the provided codec
* Can play MP4 (H.264), Ogg, WebM, FLV, WMV, WMA, ACC, and MP3
*
* Copyright 2010-2014, John Dyer (http://j.hn)
* License: MIT
*
*/var mejs=mejs||{};mejs.version="2.15.1";mejs.meIndex=0;
mejs.plugins={silverlight:[{version:[3,0],types:"video/mp4 video/m4v video/mov video/wmv audio/wma audio/m4a audio/mp3 audio/wav audio/mpeg".split(" ")}],flash:[{version:[9,0,124],types:"video/mp4 video/m4v video/mov video/flv video/rtmp video/x-flv audio/flv audio/x-flv audio/mp3 audio/m4a audio/mpeg video/youtube video/x-youtube application/x-mpegURL".split(" ")}],youtube:[{version:null,types:["video/youtube","video/x-youtube","audio/youtube","audio/x-youtube"]}],vimeo:[{version:null,types:["video/vimeo",
"video/x-vimeo"]}]};
mejs.Utility={encodeUrl:function(a){return encodeURIComponent(a)},escapeHTML:function(a){return a.toString().split("&").join("&amp;").split("<").join("&lt;").split('"').join("&quot;")},absolutizeUrl:function(a){var b=document.createElement("div");b.innerHTML='<a href="'+this.escapeHTML(a)+'">x</a>';return b.firstChild.href},getScriptPath:function(a){for(var b=0,c,d="",e="",g,f,k=document.getElementsByTagName("script"),m=k.length,h=a.length;b<m;b++){g=k[b].src;c=g.lastIndexOf("/");-1<c?(f=g.substring(c+
1),g=g.substring(0,c+1)):(f=g,g="");for(c=0;c<h;c++)if(e=a[c],e=f.indexOf(e),-1<e){d=g;break}if(""!==d)break}return d},secondsToTimeCode:function(a,b,c,d){"undefined"==typeof c?c=!1:"undefined"==typeof d&&(d=25);var e=Math.floor(a/3600)%24,g=Math.floor(a/60)%60,f=Math.floor(a%60);a=Math.floor((a%1*d).toFixed(3));return(b||0<e?(10>e?"0"+e:e)+":":"")+(10>g?"0"+g:g)+":"+(10>f?"0"+f:f)+(c?":"+(10>a?"0"+a:a):"")},timeCodeToSeconds:function(a,b,c,d){"undefined"==typeof c?c=!1:"undefined"==typeof d&&(d=
25);a=a.split(":");b=parseInt(a[0],10);var e=parseInt(a[1],10),g=parseInt(a[2],10),f=0;c&&(f=parseInt(a[3])/d);return 3600*b+60*e+g+f},convertSMPTEtoSeconds:function(a){if("string"!=typeof a)return!1;a=a.replace(",",".");var b=0,c=-1!=a.indexOf(".")?a.split(".")[1].length:0,d=1;a=a.split(":").reverse();for(var e=0;e<a.length;e++)d=1,0<e&&(d=Math.pow(60,e)),b+=Number(a[e])*d;return Number(b.toFixed(c))},removeSwf:function(a){var b=document.getElementById(a);b&&/object|embed/i.test(b.nodeName)&&(mejs.MediaFeatures.isIE?
(b.style.display="none",function(){4==b.readyState?mejs.Utility.removeObjectInIE(a):setTimeout(arguments.callee,10)}()):b.parentNode.removeChild(b))},removeObjectInIE:function(a){if(a=document.getElementById(a)){for(var b in a)"function"==typeof a[b]&&(a[b]=null);a.parentNode.removeChild(a)}}};
mejs.PluginDetector={hasPluginVersion:function(a,b){var c=this.plugins[a];b[1]=b[1]||0;b[2]=b[2]||0;return c[0]>b[0]||c[0]==b[0]&&c[1]>b[1]||c[0]==b[0]&&c[1]==b[1]&&c[2]>=b[2]?!0:!1},nav:window.navigator,ua:window.navigator.userAgent.toLowerCase(),plugins:[],addPlugin:function(a,b,c,d,e){this.plugins[a]=this.detectPlugin(b,c,d,e)},detectPlugin:function(a,b,c,d){var e=[0,0,0],g;if("undefined"!=typeof this.nav.plugins&&"object"==typeof this.nav.plugins[a]){if((c=this.nav.plugins[a].description)&&!("undefined"!=
typeof this.nav.mimeTypes&&this.nav.mimeTypes[b]&&!this.nav.mimeTypes[b].enabledPlugin)){e=c.replace(a,"").replace(/^\s+/,"").replace(/\sr/gi,".").split(".");for(a=0;a<e.length;a++)e[a]=parseInt(e[a].match(/\d+/),10)}}else if("undefined"!=typeof window.ActiveXObject)try{(g=new ActiveXObject(c))&&(e=d(g))}catch(f){}return e}};
mejs.PluginDetector.addPlugin("flash","Shockwave Flash","application/x-shockwave-flash","ShockwaveFlash.ShockwaveFlash",function(a){var b=[];if(a=a.GetVariable("$version"))a=a.split(" ")[1].split(","),b=[parseInt(a[0],10),parseInt(a[1],10),parseInt(a[2],10)];return b});
mejs.PluginDetector.addPlugin("silverlight","Silverlight Plug-In","application/x-silverlight-2","AgControl.AgControl",function(a){var b=[0,0,0,0],c=function(a,b,c,f){for(;a.isVersionSupported(b[0]+"."+b[1]+"."+b[2]+"."+b[3]);)b[c]+=f;b[c]-=f};c(a,b,0,1);c(a,b,1,1);c(a,b,2,1E4);c(a,b,2,1E3);c(a,b,2,100);c(a,b,2,10);c(a,b,2,1);c(a,b,3,1);return b});
mejs.MediaFeatures={init:function(){var a=this,b=document,c=mejs.PluginDetector.nav,d=mejs.PluginDetector.ua.toLowerCase(),e,g=["source","track","audio","video"];a.isiPad=null!==d.match(/ipad/i);a.isiPhone=null!==d.match(/iphone/i);a.isiOS=a.isiPhone||a.isiPad;a.isAndroid=null!==d.match(/android/i);a.isBustedAndroid=null!==d.match(/android 2\.[12]/);a.isBustedNativeHTTPS="https:"===location.protocol&&(null!==d.match(/android [12]\./)||null!==d.match(/macintosh.* version.* safari/));a.isIE=-1!=c.appName.toLowerCase().indexOf("microsoft")||
null!==c.appName.toLowerCase().match(/trident/gi);a.isChrome=null!==d.match(/chrome/gi);a.isChromium=null!==d.match(/chromium/gi);a.isFirefox=null!==d.match(/firefox/gi);a.isWebkit=null!==d.match(/webkit/gi);a.isGecko=null!==d.match(/gecko/gi)&&!a.isWebkit&&!a.isIE;a.isOpera=null!==d.match(/opera/gi);a.hasTouch="ontouchstart"in window;a.svg=!!document.createElementNS&&!!document.createElementNS("http://www.w3.org/2000/svg","svg").createSVGRect;for(c=0;c<g.length;c++)e=document.createElement(g[c]);
a.supportsMediaTag="undefined"!==typeof e.canPlayType||a.isBustedAndroid;try{e.canPlayType("video/mp4")}catch(f){a.supportsMediaTag=!1}a.hasSemiNativeFullScreen="undefined"!==typeof e.webkitEnterFullscreen;a.hasNativeFullscreen="undefined"!==typeof e.requestFullscreen;a.hasWebkitNativeFullScreen="undefined"!==typeof e.webkitRequestFullScreen;a.hasMozNativeFullScreen="undefined"!==typeof e.mozRequestFullScreen;a.hasMsNativeFullScreen="undefined"!==typeof e.msRequestFullscreen;a.hasTrueNativeFullScreen=
a.hasWebkitNativeFullScreen||a.hasMozNativeFullScreen||a.hasMsNativeFullScreen;a.nativeFullScreenEnabled=a.hasTrueNativeFullScreen;a.hasMozNativeFullScreen?a.nativeFullScreenEnabled=document.mozFullScreenEnabled:a.hasMsNativeFullScreen&&(a.nativeFullScreenEnabled=document.msFullscreenEnabled);a.isChrome&&(a.hasSemiNativeFullScreen=!1);a.hasTrueNativeFullScreen&&(a.fullScreenEventName="",a.hasWebkitNativeFullScreen?a.fullScreenEventName="webkitfullscreenchange":a.hasMozNativeFullScreen?a.fullScreenEventName=
"mozfullscreenchange":a.hasMsNativeFullScreen&&(a.fullScreenEventName="MSFullscreenChange"),a.isFullScreen=function(){if(a.hasMozNativeFullScreen)return b.mozFullScreen;if(a.hasWebkitNativeFullScreen)return b.webkitIsFullScreen;if(a.hasMsNativeFullScreen)return null!==b.msFullscreenElement},a.requestFullScreen=function(b){a.hasWebkitNativeFullScreen?b.webkitRequestFullScreen():a.hasMozNativeFullScreen?b.mozRequestFullScreen():a.hasMsNativeFullScreen&&b.msRequestFullscreen()},a.cancelFullScreen=function(){a.hasWebkitNativeFullScreen?
document.webkitCancelFullScreen():a.hasMozNativeFullScreen?document.mozCancelFullScreen():a.hasMsNativeFullScreen&&document.msExitFullscreen()});a.hasSemiNativeFullScreen&&d.match(/mac os x 10_5/i)&&(a.hasNativeFullScreen=!1,a.hasSemiNativeFullScreen=!1)}};mejs.MediaFeatures.init();
mejs.HtmlMediaElement={pluginType:"native",isFullScreen:!1,setCurrentTime:function(a){this.currentTime=a},setMuted:function(a){this.muted=a},setVolume:function(a){this.volume=a},stop:function(){this.pause()},setSrc:function(a){for(var b=this.getElementsByTagName("source");0<b.length;)this.removeChild(b[0]);if("string"==typeof a)this.src=a;else for(var c,b=0;b<a.length;b++)if(c=a[b],this.canPlayType(c.type)){this.src=c.src;break}},setVideoSize:function(a,b){this.width=a;this.height=b}};
mejs.PluginMediaElement=function(a,b,c){this.id=a;this.pluginType=b;this.src=c;this.events={};this.attributes={}};
mejs.PluginMediaElement.prototype={pluginElement:null,pluginType:"",isFullScreen:!1,playbackRate:-1,defaultPlaybackRate:-1,seekable:[],played:[],paused:!0,ended:!1,seeking:!1,duration:0,error:null,tagName:"",muted:!1,volume:1,currentTime:0,play:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.playVideo():this.pluginApi.playMedia(),this.paused=!1)},load:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType||this.pluginApi.loadMedia(),
this.paused=!1)},pause:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.pauseVideo():this.pluginApi.pauseMedia(),this.paused=!0)},stop:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.stopVideo():this.pluginApi.stopMedia(),this.paused=!0)},canPlayType:function(a){var b,c,d,e=mejs.plugins[this.pluginType];for(b=0;b<e.length;b++)if(d=e[b],mejs.PluginDetector.hasPluginVersion(this.pluginType,d.version))for(c=
0;c<d.types.length;c++)if(a==d.types[c])return"probably";return""},positionFullscreenButton:function(a,b,c){null!=this.pluginApi&&this.pluginApi.positionFullscreenButton&&this.pluginApi.positionFullscreenButton(Math.floor(a),Math.floor(b),c)},hideFullscreenButton:function(){null!=this.pluginApi&&this.pluginApi.hideFullscreenButton&&this.pluginApi.hideFullscreenButton()},setSrc:function(a){if("string"==typeof a)this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(a)),this.src=mejs.Utility.absolutizeUrl(a);
else{var b,c;for(b=0;b<a.length;b++)if(c=a[b],this.canPlayType(c.type)){this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(c.src));this.src=mejs.Utility.absolutizeUrl(a);break}}},setCurrentTime:function(a){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.seekTo(a):this.pluginApi.setCurrentTime(a),this.currentTime=a)},setVolume:function(a){null!=this.pluginApi&&("youtube"==this.pluginType?this.pluginApi.setVolume(100*a):this.pluginApi.setVolume(a),this.volume=
a)},setMuted:function(a){null!=this.pluginApi&&("youtube"==this.pluginType?(a?this.pluginApi.mute():this.pluginApi.unMute(),this.muted=a,this.dispatchEvent("volumechange")):this.pluginApi.setMuted(a),this.muted=a)},setVideoSize:function(a,b){this.pluginElement&&this.pluginElement.style&&(this.pluginElement.style.width=a+"px",this.pluginElement.style.height=b+"px");null!=this.pluginApi&&this.pluginApi.setVideoSize&&this.pluginApi.setVideoSize(a,b)},setFullscreen:function(a){null!=this.pluginApi&&this.pluginApi.setFullscreen&&
this.pluginApi.setFullscreen(a)},enterFullScreen:function(){null!=this.pluginApi&&this.pluginApi.setFullscreen&&this.setFullscreen(!0)},exitFullScreen:function(){null!=this.pluginApi&&this.pluginApi.setFullscreen&&this.setFullscreen(!1)},addEventListener:function(a,b,c){this.events[a]=this.events[a]||[];this.events[a].push(b)},removeEventListener:function(a,b){if(!a)return this.events={},!0;var c=this.events[a];if(!c)return!0;if(!b)return this.events[a]=[],!0;for(var d=0;d<c.length;d++)if(c[d]===
b)return this.events[a].splice(d,1),!0;return!1},dispatchEvent:function(a){var b,c,d=this.events[a];if(d){c=Array.prototype.slice.call(arguments,1);for(b=0;b<d.length;b++)d[b].apply(null,c)}},hasAttribute:function(a){return a in this.attributes},removeAttribute:function(a){delete this.attributes[a]},getAttribute:function(a){return this.hasAttribute(a)?this.attributes[a]:""},setAttribute:function(a,b){this.attributes[a]=b},remove:function(){mejs.Utility.removeSwf(this.pluginElement.id);mejs.MediaPluginBridge.unregisterPluginElement(this.pluginElement.id)}};
mejs.MediaPluginBridge={pluginMediaElements:{},htmlMediaElements:{},registerPluginElement:function(a,b,c){this.pluginMediaElements[a]=b;this.htmlMediaElements[a]=c},unregisterPluginElement:function(a){delete this.pluginMediaElements[a];delete this.htmlMediaElements[a]},initPlugin:function(a){var b=this.pluginMediaElements[a],c=this.htmlMediaElements[a];if(b){switch(b.pluginType){case "flash":b.pluginElement=b.pluginApi=document.getElementById(a);break;case "silverlight":b.pluginElement=document.getElementById(b.id),
b.pluginApi=b.pluginElement.Content.MediaElementJS}null!=b.pluginApi&&b.success&&b.success(b,c)}},fireEvent:function(a,b,c){var d,e;if(a=this.pluginMediaElements[a]){b={type:b,target:a};for(d in c)a[d]=c[d],b[d]=c[d];e=c.bufferedTime||0;b.target.buffered=b.buffered={start:function(a){return 0},end:function(a){return e},length:1};a.dispatchEvent(b.type,b)}}};
mejs.MediaElementDefaults={mode:"auto",plugins:["youtube","vimeo"],enablePluginDebug:!1,httpsBasicAuthSite:!1,type:"",pluginPath:mejs.Utility.getScriptPath(["mediaelement.js","mediaelement.min.js","mediaelement-and-player.js","mediaelement-and-player.min.js"]),flashName:"flashmediaelement.swf",flashStreamer:"",enablePluginSmoothing:!1,enablePseudoStreaming:!1,pseudoStreamingStartQueryParam:"start",silverlightName:"silverlightmediaelement.xap",defaultVideoWidth:480,defaultVideoHeight:270,pluginWidth:-1,
pluginHeight:-1,pluginVars:[],timerRate:250,startVolume:0.8,success:function(){},error:function(){}};mejs.MediaElement=function(a,b){return mejs.HtmlMediaElementShim.create(a,b)};
mejs.HtmlMediaElementShim={create:function(a,b){var c=mejs.MediaElementDefaults,d="string"==typeof a?document.getElementById(a):a,e=d.tagName.toLowerCase(),g="audio"===e||"video"===e,f=g?d.getAttribute("src"):d.getAttribute("href"),e=d.getAttribute("poster"),k=d.getAttribute("autoplay"),m=d.getAttribute("preload"),h=d.getAttribute("controls"),l;for(l in b)c[l]=b[l];e="undefined"==typeof e||null===e?"":e;m="undefined"==typeof m||null===m||"false"===m?"none":m;k=!("undefined"==typeof k||null===k||"false"===
k);h=!("undefined"==typeof h||null===h||"false"===h);l=this.determinePlayback(d,c,mejs.MediaFeatures.supportsMediaTag,g,"undefined"==typeof f||null===f||""==f?null:f);l.url=null!==l.url?mejs.Utility.absolutizeUrl(l.url):"";if("native"==l.method)return mejs.MediaFeatures.isBustedAndroid&&(d.src=l.url,d.addEventListener("click",function(){d.play()},!1)),this.updateNative(l,c,k,m);if(""!==l.method)return this.createPlugin(l,c,e,k,m,h);this.createErrorMessage(l,c,e);return this},determinePlayback:function(a,
b,c,d,e){var g=[],f,k,m,h={method:"",url:"",htmlMediaElement:a,isVideo:"audio"!=a.tagName.toLowerCase()},l;if("undefined"!=typeof b.type&&""!==b.type)if("string"==typeof b.type)g.push({type:b.type,url:e});else for(f=0;f<b.type.length;f++)g.push({type:b.type[f],url:e});else if(null!==e)m=this.formatType(e,a.getAttribute("type")),g.push({type:m,url:e});else for(f=0;f<a.childNodes.length;f++)k=a.childNodes[f],1==k.nodeType&&"source"==k.tagName.toLowerCase()&&(e=k.getAttribute("src"),m=this.formatType(e,
k.getAttribute("type")),k=k.getAttribute("media"),(!k||!window.matchMedia||window.matchMedia&&window.matchMedia(k).matches)&&g.push({type:m,url:e}));!d&&(0<g.length&&null!==g[0].url&&-1<this.getTypeFromFile(g[0].url).indexOf("audio"))&&(h.isVideo=!1);mejs.MediaFeatures.isBustedAndroid&&(a.canPlayType=function(a){return null!==a.match(/video\/(mp4|m4v)/gi)?"maybe":""});mejs.MediaFeatures.isChromium&&(a.canPlayType=function(a){return null!==a.match(/video\/(webm|ogv|ogg)/gi)?"maybe":""});if(c&&("auto"===
b.mode||"auto_plugin"===b.mode||"native"===b.mode)&&!(mejs.MediaFeatures.isBustedNativeHTTPS&&!0===b.httpsBasicAuthSite)){d||(f=document.createElement(h.isVideo?"video":"audio"),a.parentNode.insertBefore(f,a),a.style.display="none",h.htmlMediaElement=a=f);for(f=0;f<g.length;f++)if("video/m3u8"==g[f].type||""!==a.canPlayType(g[f].type).replace(/no/,"")||""!==a.canPlayType(g[f].type.replace(/mp3/,"mpeg")).replace(/no/,"")||""!==a.canPlayType(g[f].type.replace(/m4a/,"mp4")).replace(/no/,"")){h.method=
"native";h.url=g[f].url;break}if("native"===h.method&&(null!==h.url&&(a.src=h.url),"auto_plugin"!==b.mode))return h}if("auto"===b.mode||"auto_plugin"===b.mode||"shim"===b.mode)for(f=0;f<g.length;f++){m=g[f].type;for(a=0;a<b.plugins.length;a++){e=b.plugins[a];k=mejs.plugins[e];for(c=0;c<k.length;c++)if(l=k[c],null==l.version||mejs.PluginDetector.hasPluginVersion(e,l.version))for(d=0;d<l.types.length;d++)if(m==l.types[d])return h.method=e,h.url=g[f].url,h}}if("auto_plugin"===b.mode&&"native"===h.method)return h;
""===h.method&&0<g.length&&(h.url=g[0].url);return h},formatType:function(a,b){return a&&!b?this.getTypeFromFile(a):b&&~b.indexOf(";")?b.substr(0,b.indexOf(";")):b},getTypeFromFile:function(a){a=a.split("?")[0];a=a.substring(a.lastIndexOf(".")+1).toLowerCase();return(/(mp4|m4v|ogg|ogv|m3u8|webm|webmv|flv|wmv|mpeg|mov)/gi.test(a)?"video":"audio")+"/"+this.getTypeFromExtension(a)},getTypeFromExtension:function(a){switch(a){case "mp4":case "m4v":case "m4a":return"mp4";case "webm":case "webma":case "webmv":return"webm";
case "ogg":case "oga":case "ogv":return"ogg";default:return a}},createErrorMessage:function(a,b,c){var d=a.htmlMediaElement,e=document.createElement("div");e.className="me-cannotplay";try{e.style.width=d.width+"px",e.style.height=d.height+"px"}catch(g){}e.innerHTML=b.customError?b.customError:""!==c?'<a href="'+a.url+'"><img src="'+c+'" width="100%" height="100%" /></a>':'<a href="'+a.url+'"><span>'+mejs.i18n.t("Download File")+"</span></a>";d.parentNode.insertBefore(e,d);d.style.display="none";b.error(d)},
createPlugin:function(a,b,c,d,e,g){c=a.htmlMediaElement;var f=1,k=1,m="me_"+a.method+"_"+mejs.meIndex++,h=new mejs.PluginMediaElement(m,a.method,a.url),l=document.createElement("div"),p;h.tagName=c.tagName;for(p=0;p<c.attributes.length;p++){var q=c.attributes[p];!0==q.specified&&h.setAttribute(q.name,q.value)}for(p=c.parentNode;null!==p&&"body"!==p.tagName.toLowerCase()&&null!=p.parentNode;){if("p"===p.parentNode.tagName.toLowerCase()){p.parentNode.parentNode.insertBefore(p,p.parentNode);break}p=
p.parentNode}a.isVideo?(f=0<b.pluginWidth?b.pluginWidth:0<b.videoWidth?b.videoWidth:null!==c.getAttribute("width")?c.getAttribute("width"):b.defaultVideoWidth,k=0<b.pluginHeight?b.pluginHeight:0<b.videoHeight?b.videoHeight:null!==c.getAttribute("height")?c.getAttribute("height"):b.defaultVideoHeight,f=mejs.Utility.encodeUrl(f),k=mejs.Utility.encodeUrl(k)):b.enablePluginDebug&&(f=320,k=240);h.success=b.success;mejs.MediaPluginBridge.registerPluginElement(m,h,c);l.className="me-plugin";l.id=m+"_container";
a.isVideo?c.parentNode.insertBefore(l,c):document.body.insertBefore(l,document.body.childNodes[0]);d=["id="+m,"isvideo="+(a.isVideo?"true":"false"),"autoplay="+(d?"true":"false"),"preload="+e,"width="+f,"startvolume="+b.startVolume,"timerrate="+b.timerRate,"flashstreamer="+b.flashStreamer,"height="+k,"pseudostreamstart="+b.pseudoStreamingStartQueryParam];null!==a.url&&("flash"==a.method?d.push("file="+mejs.Utility.encodeUrl(a.url)):d.push("file="+a.url));b.enablePluginDebug&&d.push("debug=true");
b.enablePluginSmoothing&&d.push("smoothing=true");b.enablePseudoStreaming&&d.push("pseudostreaming=true");g&&d.push("controls=true");b.pluginVars&&(d=d.concat(b.pluginVars));switch(a.method){case "silverlight":l.innerHTML='<object data="data:application/x-silverlight-2," type="application/x-silverlight-2" id="'+m+'" name="'+m+'" width="'+f+'" height="'+k+'" class="mejs-shim"><param name="initParams" value="'+d.join(",")+'" /><param name="windowless" value="true" /><param name="background" value="black" /><param name="minRuntimeVersion" value="3.0.0.0" /><param name="autoUpgrade" value="true" /><param name="source" value="'+
b.pluginPath+b.silverlightName+'" /></object>';break;case "flash":mejs.MediaFeatures.isIE?(a=document.createElement("div"),l.appendChild(a),a.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+m+'" width="'+f+'" height="'+k+'" class="mejs-shim"><param name="movie" value="'+b.pluginPath+b.flashName+"?x="+new Date+'" /><param name="flashvars" value="'+d.join("&amp;")+'" /><param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="always" /><param name="allowFullScreen" value="true" /><param name="scale" value="default" /></object>'):
l.innerHTML='<embed id="'+m+'" name="'+m+'" play="true" loop="false" quality="high" bgcolor="#000000" wmode="transparent" allowScriptAccess="always" allowFullScreen="true" type="application/x-shockwave-flash" pluginspage="//www.macromedia.com/go/getflashplayer" src="'+b.pluginPath+b.flashName+'" flashvars="'+d.join("&")+'" width="'+f+'" height="'+k+'" scale="default"class="mejs-shim"></embed>';break;case "youtube":-1!=a.url.lastIndexOf("youtu.be")?(a=a.url.substr(a.url.lastIndexOf("/")+1),-1!=a.indexOf("?")&&
(a=a.substr(0,a.indexOf("?")))):a=a.url.substr(a.url.lastIndexOf("=")+1);youtubeSettings={container:l,containerId:l.id,pluginMediaElement:h,pluginId:m,videoId:a,height:k,width:f};mejs.PluginDetector.hasPluginVersion("flash",[10,0,0])?mejs.YouTubeApi.createFlash(youtubeSettings):mejs.YouTubeApi.enqueueIframe(youtubeSettings);break;case "vimeo":if(b=m+"_player",h.vimeoid=a.url.substr(a.url.lastIndexOf("/")+1),l.innerHTML='<iframe src="//player.vimeo.com/video/'+h.vimeoid+"?api=1&portrait=0&byline=0&title=0&player_id="+
b+'" width="'+f+'" height="'+k+'" frameborder="0" class="mejs-shim" id="'+b+'"></iframe>',"function"==typeof $f){var n=$f(l.childNodes[0]);n.addEvent("ready",function(){function a(b,c,d,e){b={type:d,target:c};"timeupdate"==d&&(c.currentTime=b.currentTime=e.seconds,c.duration=b.duration=e.duration);c.dispatchEvent(b.type,b)}$.extend(n,{playVideo:function(){n.api("play")},stopVideo:function(){n.api("unload")},pauseVideo:function(){n.api("pause")},seekTo:function(a){n.api("seekTo",a)},setVolume:function(a){n.api("setVolume",
a)},setMuted:function(a){a?(n.lastVolume=n.api("getVolume"),n.api("setVolume",0)):(n.api("setVolume",n.lastVolume),delete n.lastVolume)}});n.addEvent("play",function(){a(n,h,"play");a(n,h,"playing")});n.addEvent("pause",function(){a(n,h,"pause")});n.addEvent("finish",function(){a(n,h,"ended")});n.addEvent("playProgress",function(b){a(n,h,"timeupdate",b)});h.pluginElement=l;h.pluginApi=n;mejs.MediaPluginBridge.initPlugin(m)})}else console.warn("You need to include froogaloop for vimeo to work")}c.style.display=
"none";c.removeAttribute("autoplay");return h},updateNative:function(a,b,c,d){a=a.htmlMediaElement;for(var e in mejs.HtmlMediaElement)a[e]=mejs.HtmlMediaElement[e];b.success(a,a);return a}};
mejs.YouTubeApi={isIframeStarted:!1,isIframeLoaded:!1,loadIframeApi:function(){if(!this.isIframeStarted){var a=document.createElement("script");a.src="//www.youtube.com/player_api";var b=document.getElementsByTagName("script")[0];b.parentNode.insertBefore(a,b);this.isIframeStarted=!0}},iframeQueue:[],enqueueIframe:function(a){this.isLoaded?this.createIframe(a):(this.loadIframeApi(),this.iframeQueue.push(a))},createIframe:function(a){var b=a.pluginMediaElement,c=new YT.Player(a.containerId,{height:a.height,
width:a.width,videoId:a.videoId,playerVars:{controls:0},events:{onReady:function(){a.pluginMediaElement.pluginApi=c;mejs.MediaPluginBridge.initPlugin(a.pluginId);setInterval(function(){mejs.YouTubeApi.createEvent(c,b,"timeupdate")},250)},onStateChange:function(a){mejs.YouTubeApi.handleStateChange(a.data,c,b)}}})},createEvent:function(a,b,c){c={type:c,target:b};if(a&&a.getDuration){b.currentTime=c.currentTime=a.getCurrentTime();b.duration=c.duration=a.getDuration();c.paused=b.paused;c.ended=b.ended;
c.muted=a.isMuted();c.volume=a.getVolume()/100;c.bytesTotal=a.getVideoBytesTotal();c.bufferedBytes=a.getVideoBytesLoaded();var d=c.bufferedBytes/c.bytesTotal*c.duration;c.target.buffered=c.buffered={start:function(a){return 0},end:function(a){return d},length:1}}b.dispatchEvent(c.type,c)},iFrameReady:function(){for(this.isIframeLoaded=this.isLoaded=!0;0<this.iframeQueue.length;){var a=this.iframeQueue.pop();this.createIframe(a)}},flashPlayers:{},createFlash:function(a){this.flashPlayers[a.pluginId]=
a;var b,c="//www.youtube.com/apiplayer?enablejsapi=1&amp;playerapiid="+a.pluginId+"&amp;version=3&amp;autoplay=0&amp;controls=0&amp;modestbranding=1&loop=0";mejs.MediaFeatures.isIE?(b=document.createElement("div"),a.container.appendChild(b),b.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+a.pluginId+'" width="'+a.width+'" height="'+a.height+'" class="mejs-shim"><param name="movie" value="'+c+'" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="always" /><param name="allowFullScreen" value="true" /></object>'):
a.container.innerHTML='<object type="application/x-shockwave-flash" id="'+a.pluginId+'" data="'+c+'" width="'+a.width+'" height="'+a.height+'" style="visibility: visible; " class="mejs-shim"><param name="allowScriptAccess" value="always"><param name="wmode" value="transparent"></object>'},flashReady:function(a){var b=this.flashPlayers[a],c=document.getElementById(a),d=b.pluginMediaElement;d.pluginApi=d.pluginElement=c;mejs.MediaPluginBridge.initPlugin(a);c.cueVideoById(b.videoId);a=b.containerId+
"_callback";window[a]=function(a){mejs.YouTubeApi.handleStateChange(a,c,d)};c.addEventListener("onStateChange",a);setInterval(function(){mejs.YouTubeApi.createEvent(c,d,"timeupdate")},250);mejs.YouTubeApi.createEvent(c,d,"canplay")},handleStateChange:function(a,b,c){switch(a){case -1:c.paused=!0;c.ended=!0;mejs.YouTubeApi.createEvent(b,c,"loadedmetadata");break;case 0:c.paused=!1;c.ended=!0;mejs.YouTubeApi.createEvent(b,c,"ended");break;case 1:c.paused=!1;c.ended=!1;mejs.YouTubeApi.createEvent(b,
c,"play");mejs.YouTubeApi.createEvent(b,c,"playing");break;case 2:c.paused=!0;c.ended=!1;mejs.YouTubeApi.createEvent(b,c,"pause");break;case 3:mejs.YouTubeApi.createEvent(b,c,"progress")}}};function onYouTubePlayerAPIReady(){mejs.YouTubeApi.iFrameReady()}function onYouTubePlayerReady(a){mejs.YouTubeApi.flashReady(a)}window.mejs=mejs;window.MediaElement=mejs.MediaElement;
(function(a,b,c){var d={locale:{language:"",strings:{}},methods:{},getLanguage:function(){return(d.locale.language||window.navigator.userLanguage||window.navigator.language).substr(0,2).toLowerCase()}};"undefined"!=typeof mejsL10n&&(d.locale.language=mejsL10n.language);d.methods.checkPlain=function(a){var b,c,d={"&":"&amp;",'"':"&quot;","<":"&lt;",">":"&gt;"};a=String(a);for(b in d)d.hasOwnProperty(b)&&(c=RegExp(b,"g"),a=a.replace(c,d[b]));return a};d.methods.t=function(a,b){d.locale.strings&&(d.locale.strings[b.context]&&
d.locale.strings[b.context][a])&&(a=d.locale.strings[b.context][a]);return d.methods.checkPlain(a)};d.t=function(a,b){if("string"===typeof a&&0<a.length){var c=d.getLanguage();b=b||{context:c};return d.methods.t(a,b)}throw{name:"InvalidArgumentException",message:"First argument is either not a string or empty."};};b.i18n=d})(document,mejs);(function(a,b){"undefined"!=typeof mejsL10n&&(a[mejsL10n.language]=mejsL10n.strings)})(mejs.i18n.locale.strings);
(function(a,b){"undefined"===typeof a.de&&(a.de={Fullscreen:"Vollbild","Go Fullscreen":"Vollbild an","Turn off Fullscreen":"Vollbild aus",Close:"Schlie\u00dfen"})})(mejs.i18n.locale.strings);(function(a,b){"undefined"===typeof a.zh&&(a.zh={Fullscreen:"\u5168\u87a2\u5e55","Go Fullscreen":"\u5168\u5c4f\u6a21\u5f0f","Turn off Fullscreen":"\u9000\u51fa\u5168\u5c4f\u6a21\u5f0f",Close:"\u95dc\u9589"})})(mejs.i18n.locale.strings);

/*!
 * MediaElementPlayer
 * http://mediaelementjs.com/
 *
 * Creates a controller bar for HTML5 <video> add <audio> tags
 * using jQuery and MediaElement.js (HTML5 Flash/Silverlight wrapper)
 *
 * Copyright 2010-2013, John Dyer (http://j.hn/)
 * License: MIT
 *
 */"undefined"!=typeof jQuery?mejs.$=jQuery:"undefined"!=typeof ender&&(mejs.$=ender);
(function(f){mejs.MepDefaults={poster:"",showPosterWhenEnded:!1,defaultVideoWidth:480,defaultVideoHeight:270,videoWidth:-1,videoHeight:-1,defaultAudioWidth:400,defaultAudioHeight:30,defaultSeekBackwardInterval:function(a){return 0.05*a.duration},defaultSeekForwardInterval:function(a){return 0.05*a.duration},setDimensions:!0,audioWidth:-1,audioHeight:-1,startVolume:0.8,loop:!1,autoRewind:!0,enableAutosize:!0,alwaysShowHours:!1,showTimecodeFrameCount:!1,framesPerSecond:25,autosizeProgress:!0,alwaysShowControls:!1,
hideVideoControlsOnLoad:!1,clickToPlayPause:!0,iPadUseNativeControls:!1,iPhoneUseNativeControls:!1,AndroidUseNativeControls:!1,features:"playpause current progress duration tracks volume fullscreen".split(" "),isVideo:!0,enableKeyboard:!0,pauseOtherPlayers:!0,keyActions:[{keys:[32,179],action:function(a,b){b.paused||b.ended?a.play():a.pause()}},{keys:[38],action:function(a,b){a.container.find(".mejs-volume-slider").css("display","block");a.isVideo&&(a.showControls(),a.startControlsTimer());var c=
Math.min(b.volume+0.1,1);b.setVolume(c)}},{keys:[40],action:function(a,b){a.container.find(".mejs-volume-slider").css("display","block");a.isVideo&&(a.showControls(),a.startControlsTimer());var c=Math.max(b.volume-0.1,0);b.setVolume(c)}},{keys:[37,227],action:function(a,b){if(!isNaN(b.duration)&&0<b.duration){a.isVideo&&(a.showControls(),a.startControlsTimer());var c=Math.max(b.currentTime-a.options.defaultSeekBackwardInterval(b),0);b.setCurrentTime(c)}}},{keys:[39,228],action:function(a,b){if(!isNaN(b.duration)&&
0<b.duration){a.isVideo&&(a.showControls(),a.startControlsTimer());var c=Math.min(b.currentTime+a.options.defaultSeekForwardInterval(b),b.duration);b.setCurrentTime(c)}}},{keys:[70],action:function(a,b){"undefined"!=typeof a.enterFullScreen&&(a.isFullScreen?a.exitFullScreen():a.enterFullScreen())}},{keys:[77],action:function(a,b){a.container.find(".mejs-volume-slider").css("display","block");a.isVideo&&(a.showControls(),a.startControlsTimer());a.media.muted?a.setMuted(!1):a.setMuted(!0)}}]};mejs.mepIndex=
0;mejs.players={};mejs.MediaElementPlayer=function(a,b){if(!(this instanceof mejs.MediaElementPlayer))return new mejs.MediaElementPlayer(a,b);this.$media=this.$node=f(a);this.node=this.media=this.$media[0];if("undefined"!=typeof this.node.player)return this.node.player;this.node.player=this;"undefined"==typeof b&&(b=this.$node.data("mejsoptions"));this.options=f.extend({},mejs.MepDefaults,b);this.id="mep_"+mejs.mepIndex++;mejs.players[this.id]=this;this.init();return this};mejs.MediaElementPlayer.prototype=
{hasFocus:!1,controlsAreVisible:!0,init:function(){var a=this,b=mejs.MediaFeatures,c=f.extend(!0,{},a.options,{success:function(b,c){a.meReady(b,c)},error:function(b){a.handleError(b)}}),e=a.media.tagName.toLowerCase();a.isDynamic="audio"!==e&&"video"!==e;a.isVideo=a.isDynamic?a.options.isVideo:"audio"!==e&&a.options.isVideo;if(b.isiPad&&a.options.iPadUseNativeControls||b.isiPhone&&a.options.iPhoneUseNativeControls)a.$media.attr("controls","controls"),b.isiPad&&null!==a.media.getAttribute("autoplay")&&
a.play();else if(!b.isAndroid||!a.options.AndroidUseNativeControls)a.$media.removeAttr("controls"),a.container=f('<div id="'+a.id+'" class="mejs-container '+(mejs.MediaFeatures.svg?"svg":"no-svg")+'"><div class="mejs-inner"><div class="mejs-mediaelement"></div><div class="mejs-layers"></div><div class="mejs-controls"></div><div class="mejs-clear"></div></div></div>').addClass(a.$media[0].className).insertBefore(a.$media),a.container.addClass((b.isAndroid?"mejs-android ":"")+(b.isiOS?"mejs-ios ":"")+
(b.isiPad?"mejs-ipad ":"")+(b.isiPhone?"mejs-iphone ":"")+(a.isVideo?"mejs-video ":"mejs-audio ")),b.isiOS?(b=a.$media.clone(),a.container.find(".mejs-mediaelement").append(b),a.$media.remove(),a.$node=a.$media=b,a.node=a.media=b[0]):a.container.find(".mejs-mediaelement").append(a.$media),a.controls=a.container.find(".mejs-controls"),a.layers=a.container.find(".mejs-layers"),b=a.isVideo?"video":"audio",e=b.substring(0,1).toUpperCase()+b.substring(1),0<a.options[b+"Width"]||-1<a.options[b+"Width"].toString().indexOf("%")?
a.width=a.options[b+"Width"]:""!==a.media.style.width&&null!==a.media.style.width?a.width=a.media.style.width:null!==a.media.getAttribute("width")?a.width=a.$media.attr("width"):a.width=a.options["default"+e+"Width"],0<a.options[b+"Height"]||-1<a.options[b+"Height"].toString().indexOf("%")?a.height=a.options[b+"Height"]:""!==a.media.style.height&&null!==a.media.style.height?a.height=a.media.style.height:null!==a.$media[0].getAttribute("height")?a.height=a.$media.attr("height"):a.height=a.options["default"+
e+"Height"],a.setPlayerSize(a.width,a.height),c.pluginWidth=a.width,c.pluginHeight=a.height;mejs.MediaElement(a.$media[0],c);"undefined"!=typeof a.container&&a.controlsAreVisible&&a.container.trigger("controlsshown")},showControls:function(a){var b=this;b.controlsAreVisible||("undefined"==typeof a||a?(b.controls.css("visibility","visible").stop(!0,!0).fadeIn(200,function(){b.controlsAreVisible=!0;b.container.trigger("controlsshown")}),b.container.find(".mejs-control").css("visibility","visible").stop(!0,
!0).fadeIn(200,function(){b.controlsAreVisible=!0})):(b.controls.css("visibility","visible").css("display","block"),b.container.find(".mejs-control").css("visibility","visible").css("display","block"),b.controlsAreVisible=!0,b.container.trigger("controlsshown")),b.setControlsSize())},hideControls:function(a){var b=this;b.controlsAreVisible&&!b.options.alwaysShowControls&&("undefined"==typeof a||a?(b.controls.stop(!0,!0).fadeOut(200,function(){f(this).css("visibility","hidden").css("display","block");
b.controlsAreVisible=!1;b.container.trigger("controlshidden")}),b.container.find(".mejs-control").stop(!0,!0).fadeOut(200,function(){f(this).css("visibility","hidden").css("display","block")})):(b.controls.css("visibility","hidden").css("display","block"),b.container.find(".mejs-control").css("visibility","hidden").css("display","block"),b.controlsAreVisible=!1,b.container.trigger("controlshidden")))},controlsTimer:null,startControlsTimer:function(a){var b=this;a="undefined"!=typeof a?a:1500;b.killControlsTimer("start");
b.controlsTimer=setTimeout(function(){b.hideControls();b.killControlsTimer("hide")},a)},killControlsTimer:function(a){null!==this.controlsTimer&&(clearTimeout(this.controlsTimer),delete this.controlsTimer,this.controlsTimer=null)},controlsEnabled:!0,disableControls:function(){this.killControlsTimer();this.hideControls(!1);this.controlsEnabled=!1},enableControls:function(){this.showControls(!1);this.controlsEnabled=!0},meReady:function(a,b){var c=this,e=mejs.MediaFeatures,d=b.getAttribute("autoplay"),
d=!("undefined"==typeof d||null===d||"false"===d),f;if(!c.created){c.created=!0;c.media=a;c.domNode=b;if((!e.isAndroid||!c.options.AndroidUseNativeControls)&&(!e.isiPad||!c.options.iPadUseNativeControls)&&(!e.isiPhone||!c.options.iPhoneUseNativeControls)){c.buildposter(c,c.controls,c.layers,c.media);c.buildkeyboard(c,c.controls,c.layers,c.media);c.buildoverlays(c,c.controls,c.layers,c.media);c.findTracks();for(f in c.options.features)if(e=c.options.features[f],c["build"+e])try{c["build"+e](c,c.controls,
c.layers,c.media)}catch(h){}c.container.trigger("controlsready");c.setPlayerSize(c.width,c.height);c.setControlsSize();c.isVideo&&(mejs.MediaFeatures.hasTouch?c.$media.bind("touchstart",function(){c.controlsAreVisible?c.hideControls(!1):c.controlsEnabled&&c.showControls(!1)}):(c.clickToPlayPauseCallback=function(){c.options.clickToPlayPause&&(c.media.paused?c.play():c.pause())},c.media.addEventListener("click",c.clickToPlayPauseCallback,!1),c.container.bind("mouseenter mouseover",function(){c.controlsEnabled&&
!c.options.alwaysShowControls&&(c.killControlsTimer("enter"),c.showControls(),c.startControlsTimer(2500))}).bind("mousemove",function(){c.controlsEnabled&&(c.controlsAreVisible||c.showControls(),c.options.alwaysShowControls||c.startControlsTimer(2500))}).bind("mouseleave",function(){c.controlsEnabled&&!c.media.paused&&!c.options.alwaysShowControls&&c.startControlsTimer(1E3)})),c.options.hideVideoControlsOnLoad&&c.hideControls(!1),d&&!c.options.alwaysShowControls&&c.hideControls(),c.options.enableAutosize&&
c.media.addEventListener("loadedmetadata",function(a){0>=c.options.videoHeight&&(null===c.domNode.getAttribute("height")&&!isNaN(a.target.videoHeight))&&(c.setPlayerSize(a.target.videoWidth,a.target.videoHeight),c.setControlsSize(),c.media.setVideoSize(a.target.videoWidth,a.target.videoHeight))},!1));a.addEventListener("play",function(){for(var a in mejs.players){var b=mejs.players[a];b.id!=c.id&&(c.options.pauseOtherPlayers&&!b.paused&&!b.ended)&&b.pause();b.hasFocus=!1}c.hasFocus=!0},!1);c.media.addEventListener("ended",
function(a){if(c.options.autoRewind)try{c.media.setCurrentTime(0)}catch(b){}c.media.pause();c.setProgressRail&&c.setProgressRail();c.setCurrentRail&&c.setCurrentRail();c.options.loop?c.play():!c.options.alwaysShowControls&&c.controlsEnabled&&c.showControls()},!1);c.media.addEventListener("loadedmetadata",function(a){c.updateDuration&&c.updateDuration();c.updateCurrent&&c.updateCurrent();c.isFullScreen||(c.setPlayerSize(c.width,c.height),c.setControlsSize())},!1);setTimeout(function(){c.setPlayerSize(c.width,
c.height);c.setControlsSize()},50);c.globalBind("resize",function(){c.isFullScreen||mejs.MediaFeatures.hasTrueNativeFullScreen&&document.webkitIsFullScreen||c.setPlayerSize(c.width,c.height);c.setControlsSize()});"youtube"==c.media.pluginType&&c.options.autoplay&&c.container.find(".mejs-overlay-play").hide()}d&&"native"==a.pluginType&&c.play();if(c.options.success)if("string"==typeof c.options.success)window[c.options.success](c.media,c.domNode,c);else c.options.success(c.media,c.domNode,c)}},handleError:function(a){this.controls.hide();
this.options.error&&this.options.error(a)},setPlayerSize:function(a,b){if(!this.options.setDimensions)return!1;"undefined"!=typeof a&&(this.width=a);"undefined"!=typeof b&&(this.height=b);if(0<this.height.toString().indexOf("%")||"100%"===this.$node.css("max-width")||this.$node[0].currentStyle&&"100%"===this.$node[0].currentStyle.maxWidth){var c=this.isVideo?this.media.videoWidth&&0<this.media.videoWidth?this.media.videoWidth:null!==this.media.getAttribute("width")?this.media.getAttribute("width"):
this.options.defaultVideoWidth:this.options.defaultAudioWidth,e=this.isVideo?this.media.videoHeight&&0<this.media.videoHeight?this.media.videoHeight:null!==this.media.getAttribute("height")?this.media.getAttribute("height"):this.options.defaultVideoHeight:this.options.defaultAudioHeight,d=this.container.parent().closest(":visible").width(),g=this.container.parent().closest(":visible").height(),c=this.isVideo||!this.options.autosizeProgress?parseInt(d*e/c,10):e;if(isNaN(c)||0!=g&&c>g)c=g;"body"===
this.container.parent()[0].tagName.toLowerCase()&&(d=f(window).width(),c=f(window).height());0!=c&&0!=d&&(this.container.width(d).height(c),this.$media.add(this.container.find(".mejs-shim")).width("100%").height("100%"),this.isVideo&&this.media.setVideoSize&&this.media.setVideoSize(d,c),this.layers.children(".mejs-layer").width("100%").height("100%"))}else this.container.width(this.width).height(this.height),this.layers.children(".mejs-layer").width(this.width).height(this.height);d=this.layers.find(".mejs-overlay-play");
g=d.find(".mejs-overlay-button");d.height(this.container.height()-this.controls.height());g.css("margin-top","-"+(g.height()/2-this.controls.height()/2).toString()+"px")},setControlsSize:function(){var a=0,b=0,c=this.controls.find(".mejs-time-rail"),e=this.controls.find(".mejs-time-total");this.controls.find(".mejs-time-current");this.controls.find(".mejs-time-loaded");var d=c.siblings(),g=d.last(),h=null;if(this.container.is(":visible")&&c.length&&c.is(":visible")){this.options&&!this.options.autosizeProgress&&
(b=parseInt(c.css("width")));if(0===b||!b)d.each(function(){var b=f(this);"absolute"!=b.css("position")&&b.is(":visible")&&(a+=f(this).outerWidth(!0))}),b=this.controls.width()-a-(c.outerWidth(!0)-c.width());do c.width(b),e.width(b-(e.outerWidth(!0)-e.width())),"absolute"!=g.css("position")&&(h=g.position(),b--);while(null!=h&&0<h.top&&0<b);this.setProgressRail&&this.setProgressRail();this.setCurrentRail&&this.setCurrentRail()}},buildposter:function(a,b,c,e){var d=f('<div class="mejs-poster mejs-layer"></div>').appendTo(c);
b=a.$media.attr("poster");""!==a.options.poster&&(b=a.options.poster);""!==b&&null!=b?this.setPoster(b):d.hide();e.addEventListener("play",function(){d.hide()},!1);a.options.showPosterWhenEnded&&a.options.autoRewind&&e.addEventListener("ended",function(){d.show()},!1)},setPoster:function(a){var b=this.container.find(".mejs-poster"),c=b.find("img");0==c.length&&(c=f('<img width="100%" height="100%" />').appendTo(b));c.attr("src",a);b.css({"background-image":"url("+a+")"})},buildoverlays:function(a,
b,c,e){var d=this;if(a.isVideo){var g=f('<div class="mejs-overlay mejs-layer"><div class="mejs-overlay-loading"><span></span></div></div>').hide().appendTo(c),h=f('<div class="mejs-overlay mejs-layer"><div class="mejs-overlay-error"></div></div>').hide().appendTo(c),k=f('<div class="mejs-overlay mejs-layer mejs-overlay-play"><div class="mejs-overlay-button"></div></div>').appendTo(c).bind("click",function(){d.options.clickToPlayPause&&e.paused&&e.play()});e.addEventListener("play",function(){k.hide();
g.hide();b.find(".mejs-time-buffering").hide();h.hide()},!1);e.addEventListener("playing",function(){k.hide();g.hide();b.find(".mejs-time-buffering").hide();h.hide()},!1);e.addEventListener("seeking",function(){g.show();b.find(".mejs-time-buffering").show()},!1);e.addEventListener("seeked",function(){g.hide();b.find(".mejs-time-buffering").hide()},!1);e.addEventListener("pause",function(){mejs.MediaFeatures.isiPhone||k.show()},!1);e.addEventListener("waiting",function(){g.show();b.find(".mejs-time-buffering").show()},
!1);e.addEventListener("loadeddata",function(){g.show();b.find(".mejs-time-buffering").show()},!1);e.addEventListener("canplay",function(){g.hide();b.find(".mejs-time-buffering").hide()},!1);e.addEventListener("error",function(){g.hide();b.find(".mejs-time-buffering").hide();h.show();h.find("mejs-overlay-error").html("Error loading this resource")},!1);e.addEventListener("keydown",function(b){d.onkeydown(a,e,b)},!1)}},buildkeyboard:function(a,b,c,e){var d=this;d.globalBind("keydown",function(b){return d.onkeydown(a,
e,b)});d.globalBind("click",function(b){a.hasFocus=0!=f(b.target).closest(".mejs-container").length})},onkeydown:function(a,b,c){if(a.hasFocus&&a.options.enableKeyboard)for(var e=0,d=a.options.keyActions.length;e<d;e++)for(var f=a.options.keyActions[e],h=0,k=f.keys.length;h<k;h++)if(c.keyCode==f.keys[h])return"function"==typeof c.preventDefault&&c.preventDefault(),f.action(a,b,c.keyCode),!1;return!0},findTracks:function(){var a=this,b=a.$media.find("track");a.tracks=[];b.each(function(b,e){e=f(e);
a.tracks.push({srclang:e.attr("srclang")?e.attr("srclang").toLowerCase():"",src:e.attr("src"),kind:e.attr("kind"),label:e.attr("label")||"",entries:[],isLoaded:!1})})},changeSkin:function(a){this.container[0].className="mejs-container "+a;this.setPlayerSize(this.width,this.height);this.setControlsSize()},play:function(){this.load();this.media.play()},pause:function(){try{this.media.pause()}catch(a){}},load:function(){this.isLoaded||this.media.load();this.isLoaded=!0},setMuted:function(a){this.media.setMuted(a)},
setCurrentTime:function(a){this.media.setCurrentTime(a)},getCurrentTime:function(){return this.media.currentTime},setVolume:function(a){this.media.setVolume(a)},getVolume:function(){return this.media.volume},setSrc:function(a){this.media.setSrc(a)},remove:function(){var a,b;for(a in this.options.features)if(b=this.options.features[a],this["clean"+b])try{this["clean"+b](this)}catch(c){}this.isDynamic?this.$node.insertBefore(this.container):(this.$media.prop("controls",!0),this.$node.clone().insertBefore(this.container).show(),
this.$node.remove());"native"!==this.media.pluginType&&this.media.remove();delete mejs.players[this.id];"object"==typeof this.container&&this.container.remove();this.globalUnbind();delete this.node.player}};(function(){function a(a,e){var d={d:[],w:[]};f.each((a||"").split(" "),function(a,c){var f=c+"."+e;0===f.indexOf(".")?(d.d.push(f),d.w.push(f)):d[b.test(c)?"w":"d"].push(f)});d.d=d.d.join(" ");d.w=d.w.join(" ");return d}var b=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/;
mejs.MediaElementPlayer.prototype.globalBind=function(b,e,d){b=a(b,this.id);b.d&&f(document).bind(b.d,e,d);b.w&&f(window).bind(b.w,e,d)};mejs.MediaElementPlayer.prototype.globalUnbind=function(b,e){b=a(b,this.id);b.d&&f(document).unbind(b.d,e);b.w&&f(window).unbind(b.w,e)}})();"undefined"!=typeof f&&(f.fn.mediaelementplayer=function(a){!1===a?this.each(function(){var a=f(this).data("mediaelementplayer");a&&a.remove();f(this).removeData("mediaelementplayer")}):this.each(function(){f(this).data("mediaelementplayer",
new mejs.MediaElementPlayer(this,a))});return this},f(document).ready(function(){f(".mejs-player").mediaelementplayer()}));window.MediaElementPlayer=mejs.MediaElementPlayer})(mejs.$);
(function(f){f.extend(mejs.MepDefaults,{playpauseText:mejs.i18n.t("Play/Pause")});f.extend(MediaElementPlayer.prototype,{buildplaypause:function(a,b,c,e){var d=f('<div class="mejs-button mejs-playpause-button mejs-play" ><button type="button" aria-controls="'+this.id+'" title="'+this.options.playpauseText+'" aria-label="'+this.options.playpauseText+'"></button></div>').appendTo(b).click(function(a){a.preventDefault();e.paused?e.play():e.pause();return!1});e.addEventListener("play",function(){d.removeClass("mejs-play").addClass("mejs-pause")},
!1);e.addEventListener("playing",function(){d.removeClass("mejs-play").addClass("mejs-pause")},!1);e.addEventListener("pause",function(){d.removeClass("mejs-pause").addClass("mejs-play")},!1);e.addEventListener("paused",function(){d.removeClass("mejs-pause").addClass("mejs-play")},!1)}})})(mejs.$);
(function(f){f.extend(mejs.MepDefaults,{stopText:"Stop"});f.extend(MediaElementPlayer.prototype,{buildstop:function(a,b,c,e){f('<div class="mejs-button mejs-stop-button mejs-stop"><button type="button" aria-controls="'+this.id+'" title="'+this.options.stopText+'" aria-label="'+this.options.stopText+'"></button></div>').appendTo(b).click(function(){e.paused||e.pause();0<e.currentTime&&(e.setCurrentTime(0),e.pause(),b.find(".mejs-time-current").width("0px"),b.find(".mejs-time-handle").css("left","0px"),
b.find(".mejs-time-float-current").html(mejs.Utility.secondsToTimeCode(0)),b.find(".mejs-currenttime").html(mejs.Utility.secondsToTimeCode(0)),c.find(".mejs-poster").show())})}})})(mejs.$);
(function(f){f.extend(MediaElementPlayer.prototype,{buildprogress:function(a,b,c,e){f('<div class="mejs-time-rail"><span class="mejs-time-total"><span class="mejs-time-buffering"></span><span class="mejs-time-loaded"></span><span class="mejs-time-current"></span><span class="mejs-time-handle"></span><span class="mejs-time-float"><span class="mejs-time-float-current">00:00</span><span class="mejs-time-float-corner"></span></span></span></div>').appendTo(b);b.find(".mejs-time-buffering").hide();var d=
this,g=b.find(".mejs-time-total");c=b.find(".mejs-time-loaded");var h=b.find(".mejs-time-current"),k=b.find(".mejs-time-handle"),l=b.find(".mejs-time-float"),m=b.find(".mejs-time-float-current"),n=function(a){a=a.originalEvent.changedTouches?a.originalEvent.changedTouches[0].pageX:a.pageX;var b=g.offset(),c=g.outerWidth(!0),d=0,f=d=0;e.duration&&(a<b.left?a=b.left:a>c+b.left&&(a=c+b.left),f=a-b.left,d=f/c,d=0.02>=d?0:d*e.duration,p&&d!==e.currentTime&&e.setCurrentTime(d),mejs.MediaFeatures.hasTouch||
(l.css("left",f),m.html(mejs.Utility.secondsToTimeCode(d)),l.show()))},p=!1;g.bind("mousedown touchstart",function(a){if(1===a.which||0===a.which)return p=!0,n(a),d.globalBind("mousemove.dur touchmove.dur",function(a){n(a)}),d.globalBind("mouseup.dur touchend.dur",function(a){p=!1;l.hide();d.globalUnbind(".dur")}),!1}).bind("mouseenter",function(a){d.globalBind("mousemove.dur",function(a){n(a)});mejs.MediaFeatures.hasTouch||l.show()}).bind("mouseleave",function(a){p||(d.globalUnbind(".dur"),l.hide())});
e.addEventListener("progress",function(b){a.setProgressRail(b);a.setCurrentRail(b)},!1);e.addEventListener("timeupdate",function(b){a.setProgressRail(b);a.setCurrentRail(b)},!1);d.loaded=c;d.total=g;d.current=h;d.handle=k},setProgressRail:function(a){var b=void 0!=a?a.target:this.media,c=null;b&&b.buffered&&0<b.buffered.length&&b.buffered.end&&b.duration?c=b.buffered.end(0)/b.duration:b&&void 0!=b.bytesTotal&&0<b.bytesTotal&&void 0!=b.bufferedBytes?c=b.bufferedBytes/b.bytesTotal:a&&(a.lengthComputable&&
0!=a.total)&&(c=a.loaded/a.total);null!==c&&(c=Math.min(1,Math.max(0,c)),this.loaded&&this.total&&this.loaded.width(this.total.width()*c))},setCurrentRail:function(){if(void 0!=this.media.currentTime&&this.media.duration&&this.total&&this.handle){var a=Math.round(this.total.width()*this.media.currentTime/this.media.duration),b=a-Math.round(this.handle.outerWidth(!0)/2);this.current.width(a);this.handle.css("left",b)}}})})(mejs.$);
(function(f){f.extend(mejs.MepDefaults,{duration:-1,timeAndDurationSeparator:"<span> | </span>"});f.extend(MediaElementPlayer.prototype,{buildcurrent:function(a,b,c,e){f('<div class="mejs-time"><span class="mejs-currenttime">'+(a.options.alwaysShowHours?"00:":"")+(a.options.showTimecodeFrameCount?"00:00:00":"00:00")+"</span></div>").appendTo(b);this.currenttime=this.controls.find(".mejs-currenttime");e.addEventListener("timeupdate",function(){a.updateCurrent()},!1)},buildduration:function(a,b,c,e){0<
b.children().last().find(".mejs-currenttime").length?f(this.options.timeAndDurationSeparator+'<span class="mejs-duration">'+(0<this.options.duration?mejs.Utility.secondsToTimeCode(this.options.duration,this.options.alwaysShowHours||3600<this.media.duration,this.options.showTimecodeFrameCount,this.options.framesPerSecond||25):(a.options.alwaysShowHours?"00:":"")+(a.options.showTimecodeFrameCount?"00:00:00":"00:00"))+"</span>").appendTo(b.find(".mejs-time")):(b.find(".mejs-currenttime").parent().addClass("mejs-currenttime-container"),
f('<div class="mejs-time mejs-duration-container"><span class="mejs-duration">'+(0<this.options.duration?mejs.Utility.secondsToTimeCode(this.options.duration,this.options.alwaysShowHours||3600<this.media.duration,this.options.showTimecodeFrameCount,this.options.framesPerSecond||25):(a.options.alwaysShowHours?"00:":"")+(a.options.showTimecodeFrameCount?"00:00:00":"00:00"))+"</span></div>").appendTo(b));this.durationD=this.controls.find(".mejs-duration");e.addEventListener("timeupdate",function(){a.updateDuration()},
!1)},updateCurrent:function(){this.currenttime&&this.currenttime.html(mejs.Utility.secondsToTimeCode(this.media.currentTime,this.options.alwaysShowHours||3600<this.media.duration,this.options.showTimecodeFrameCount,this.options.framesPerSecond||25))},updateDuration:function(){this.container.toggleClass("mejs-long-video",3600<this.media.duration);if(this.durationD&&(0<this.options.duration||this.media.duration))this.durationD.html(mejs.Utility.secondsToTimeCode(0<this.options.duration?this.options.duration:
this.media.duration,this.options.alwaysShowHours,this.options.showTimecodeFrameCount,this.options.framesPerSecond||25))}})})(mejs.$);
(function(f){f.extend(mejs.MepDefaults,{muteText:mejs.i18n.t("Mute Toggle"),hideVolumeOnTouchDevices:!0,audioVolume:"horizontal",videoVolume:"vertical"});f.extend(MediaElementPlayer.prototype,{buildvolume:function(a,b,c,e){if(!mejs.MediaFeatures.isAndroid&&!mejs.MediaFeatures.isiOS||!this.options.hideVolumeOnTouchDevices){var d=this,g=d.isVideo?d.options.videoVolume:d.options.audioVolume,h="horizontal"==g?f('<div class="mejs-button mejs-volume-button mejs-mute"><button type="button" aria-controls="'+
d.id+'" title="'+d.options.muteText+'" aria-label="'+d.options.muteText+'"></button></div><div class="mejs-horizontal-volume-slider"><div class="mejs-horizontal-volume-total"></div><div class="mejs-horizontal-volume-current"></div><div class="mejs-horizontal-volume-handle"></div></div>').appendTo(b):f('<div class="mejs-button mejs-volume-button mejs-mute"><button type="button" aria-controls="'+d.id+'" title="'+d.options.muteText+'" aria-label="'+d.options.muteText+'"></button><div class="mejs-volume-slider"><div class="mejs-volume-total"></div><div class="mejs-volume-current"></div><div class="mejs-volume-handle"></div></div></div>').appendTo(b),
k=d.container.find(".mejs-volume-slider, .mejs-horizontal-volume-slider"),l=d.container.find(".mejs-volume-total, .mejs-horizontal-volume-total"),m=d.container.find(".mejs-volume-current, .mejs-horizontal-volume-current"),n=d.container.find(".mejs-volume-handle, .mejs-horizontal-volume-handle"),p=function(a,b){if(!k.is(":visible")&&"undefined"==typeof b)k.show(),p(a,!0),k.hide();else if(a=Math.max(0,a),a=Math.min(a,1),0==a?h.removeClass("mejs-mute").addClass("mejs-unmute"):h.removeClass("mejs-unmute").addClass("mejs-mute"),
"vertical"==g){var c=l.height(),d=l.position(),e=c-c*a;n.css("top",Math.round(d.top+e-n.height()/2));m.height(c-e);m.css("top",d.top+e)}else c=l.width(),d=l.position(),c*=a,n.css("left",Math.round(d.left+c-n.width()/2)),m.width(Math.round(c))},s=function(a){var b=null,c=l.offset();if("vertical"==g){if(b=l.height(),parseInt(l.css("top").replace(/px/,""),10),b=(b-(a.pageY-c.top))/b,0==c.top||0==c.left)return}else b=l.width(),b=(a.pageX-c.left)/b;b=Math.max(0,b);b=Math.min(b,1);p(b);0==b?e.setMuted(!0):
e.setMuted(!1);e.setVolume(b)},q=!1,r=!1;h.hover(function(){k.show();r=!0},function(){r=!1;!q&&"vertical"==g&&k.hide()});k.bind("mouseover",function(){r=!0}).bind("mousedown",function(a){s(a);d.globalBind("mousemove.vol",function(a){s(a)});d.globalBind("mouseup.vol",function(){q=!1;d.globalUnbind(".vol");!r&&"vertical"==g&&k.hide()});q=!0;return!1});h.find("button").click(function(){e.setMuted(!e.muted)});e.addEventListener("volumechange",function(a){q||(e.muted?(p(0),h.removeClass("mejs-mute").addClass("mejs-unmute")):
(p(e.volume),h.removeClass("mejs-unmute").addClass("mejs-mute")))},!1);d.container.is(":visible")&&(p(a.options.startVolume),0===a.options.startVolume&&e.setMuted(!0),"native"===e.pluginType&&e.setVolume(a.options.startVolume))}}})})(mejs.$);
(function(f){f.extend(mejs.MepDefaults,{usePluginFullScreen:!0,newWindowCallback:function(){return""},fullscreenText:mejs.i18n.t("Fullscreen")});f.extend(MediaElementPlayer.prototype,{isFullScreen:!1,isNativeFullScreen:!1,isInIframe:!1,buildfullscreen:function(a,b,c,e){if(a.isVideo){a.isInIframe=window.location!=window.parent.location;mejs.MediaFeatures.hasTrueNativeFullScreen&&a.globalBind(mejs.MediaFeatures.fullScreenEventName,function(b){a.isFullScreen&&(mejs.MediaFeatures.isFullScreen()?(a.isNativeFullScreen=
!0,a.setControlsSize()):(a.isNativeFullScreen=!1,a.exitFullScreen()))});var d=this,g=f('<div class="mejs-button mejs-fullscreen-button"><button type="button" aria-controls="'+d.id+'" title="'+d.options.fullscreenText+'" aria-label="'+d.options.fullscreenText+'"></button></div>').appendTo(b);if("native"===d.media.pluginType||!d.options.usePluginFullScreen&&!mejs.MediaFeatures.isFirefox)g.click(function(){mejs.MediaFeatures.hasTrueNativeFullScreen&&mejs.MediaFeatures.isFullScreen()||a.isFullScreen?
a.exitFullScreen():a.enterFullScreen()});else{var h=null;if(function(){var a=document.createElement("x"),b=document.documentElement,c=window.getComputedStyle;if(!("pointerEvents"in a.style))return!1;a.style.pointerEvents="auto";a.style.pointerEvents="x";b.appendChild(a);c=c&&"auto"===c(a,"").pointerEvents;b.removeChild(a);return!!c}()&&!mejs.MediaFeatures.isOpera){var k=!1,l=function(){if(k){for(var a in m)m[a].hide();g.css("pointer-events","");d.controls.css("pointer-events","");d.media.removeEventListener("click",
d.clickToPlayPauseCallback);k=!1}},m={};b=["top","left","right","bottom"];var n,p=function(){var a=g.offset().left-d.container.offset().left,b=g.offset().top-d.container.offset().top,c=g.outerWidth(!0),e=g.outerHeight(!0),f=d.container.width(),h=d.container.height();for(n in m)m[n].css({position:"absolute",top:0,left:0});m.top.width(f).height(b);m.left.width(a).height(e).css({top:b});m.right.width(f-a-c).height(e).css({top:b,left:a+c});m.bottom.width(f).height(h-e-b).css({top:b+e})};d.globalBind("resize",
function(){p()});n=0;for(c=b.length;n<c;n++)m[b[n]]=f('<div class="mejs-fullscreen-hover" />').appendTo(d.container).mouseover(l).hide();g.on("mouseover",function(){if(!d.isFullScreen){var b=g.offset(),c=a.container.offset();e.positionFullscreenButton(b.left-c.left,b.top-c.top,!1);g.css("pointer-events","none");d.controls.css("pointer-events","none");d.media.addEventListener("click",d.clickToPlayPauseCallback);for(n in m)m[n].show();p();k=!0}});e.addEventListener("fullscreenchange",function(a){d.isFullScreen=
!d.isFullScreen;d.isFullScreen?d.media.removeEventListener("click",d.clickToPlayPauseCallback):d.media.addEventListener("click",d.clickToPlayPauseCallback);l()});d.globalBind("mousemove",function(a){if(k){var b=g.offset();if(a.pageY<b.top||a.pageY>b.top+g.outerHeight(!0)||a.pageX<b.left||a.pageX>b.left+g.outerWidth(!0))g.css("pointer-events",""),d.controls.css("pointer-events",""),k=!1}})}else g.on("mouseover",function(){null!==h&&(clearTimeout(h),delete h);var b=g.offset(),c=a.container.offset();
e.positionFullscreenButton(b.left-c.left,b.top-c.top,!0)}).on("mouseout",function(){null!==h&&(clearTimeout(h),delete h);h=setTimeout(function(){e.hideFullscreenButton()},1500)})}a.fullscreenBtn=g;d.globalBind("keydown",function(b){(mejs.MediaFeatures.hasTrueNativeFullScreen&&mejs.MediaFeatures.isFullScreen()||d.isFullScreen)&&27==b.keyCode&&a.exitFullScreen()})}},cleanfullscreen:function(a){a.exitFullScreen()},containerSizeTimeout:null,enterFullScreen:function(){var a=this;if(!("native"!==a.media.pluginType&&
(mejs.MediaFeatures.isFirefox||a.options.usePluginFullScreen))){f(document.documentElement).addClass("mejs-fullscreen");normalHeight=a.container.height();normalWidth=a.container.width();if("native"===a.media.pluginType)if(mejs.MediaFeatures.hasTrueNativeFullScreen)mejs.MediaFeatures.requestFullScreen(a.container[0]),a.isInIframe&&setTimeout(function e(){if(a.isNativeFullScreen){var b=(window.devicePixelRatio||1)*f(window).width(),g=screen.width;Math.abs(g-b)>0.002*g?a.exitFullScreen():setTimeout(e,
500)}},500);else if(mejs.MediaFeatures.hasSemiNativeFullScreen){a.media.webkitEnterFullscreen();return}if(a.isInIframe){var b=a.options.newWindowCallback(this);if(""!==b)if(mejs.MediaFeatures.hasTrueNativeFullScreen)setTimeout(function(){a.isNativeFullScreen||(a.pause(),window.open(b,a.id,"top=0,left=0,width="+screen.availWidth+",height="+screen.availHeight+",resizable=yes,scrollbars=no,status=no,toolbar=no"))},250);else{a.pause();window.open(b,a.id,"top=0,left=0,width="+screen.availWidth+",height="+
screen.availHeight+",resizable=yes,scrollbars=no,status=no,toolbar=no");return}}a.container.addClass("mejs-container-fullscreen").width("100%").height("100%");a.containerSizeTimeout=setTimeout(function(){a.container.css({width:"100%",height:"100%"});a.setControlsSize()},500);"native"===a.media.pluginType?a.$media.width("100%").height("100%"):(a.container.find(".mejs-shim").width("100%").height("100%"),a.media.setVideoSize(f(window).width(),f(window).height()));a.layers.children("div").width("100%").height("100%");
a.fullscreenBtn&&a.fullscreenBtn.removeClass("mejs-fullscreen").addClass("mejs-unfullscreen");a.setControlsSize();a.isFullScreen=!0;a.container.find(".mejs-captions-text").css("font-size",100*(screen.width/a.width)+"%");a.container.find(".mejs-captions-position").css("bottom","45px")}},exitFullScreen:function(){clearTimeout(this.containerSizeTimeout);"native"!==this.media.pluginType&&mejs.MediaFeatures.isFirefox?this.media.setFullscreen(!1):(mejs.MediaFeatures.hasTrueNativeFullScreen&&(mejs.MediaFeatures.isFullScreen()||
this.isFullScreen)&&mejs.MediaFeatures.cancelFullScreen(),f(document.documentElement).removeClass("mejs-fullscreen"),this.container.removeClass("mejs-container-fullscreen").width(normalWidth).height(normalHeight),"native"===this.media.pluginType?this.$media.width(normalWidth).height(normalHeight):(this.container.find(".mejs-shim").width(normalWidth).height(normalHeight),this.media.setVideoSize(normalWidth,normalHeight)),this.layers.children("div").width(normalWidth).height(normalHeight),this.fullscreenBtn.removeClass("mejs-unfullscreen").addClass("mejs-fullscreen"),
this.setControlsSize(),this.isFullScreen=!1,this.container.find(".mejs-captions-text").css("font-size",""),this.container.find(".mejs-captions-position").css("bottom",""))}})})(mejs.$);
(function(f){f.extend(mejs.MepDefaults,{speeds:["1.50","1.25","1.00","0.75"],defaultSpeed:"1.00"});f.extend(MediaElementPlayer.prototype,{buildspeed:function(a,b,c,e){if("native"==this.media.pluginType){c='<div class="mejs-button mejs-speed-button"><button type="button">'+this.options.defaultSpeed+'x</button><div class="mejs-speed-selector"><ul>';var d;-1===f.inArray(this.options.defaultSpeed,this.options.speeds)&&this.options.speeds.push(this.options.defaultSpeed);this.options.speeds.sort(function(a,
b){return parseFloat(b)-parseFloat(a)});for(d=0;d<this.options.speeds.length;d++)c+='<li><input type="radio" name="speed" value="'+this.options.speeds[d]+'" id="'+this.options.speeds[d]+'" ',this.options.speeds[d]==this.options.defaultSpeed?(c+="checked=true ",c+='/><label for="'+this.options.speeds[d]+'" class="mejs-speed-selected">'+this.options.speeds[d]+"x</label></li>"):c+='/><label for="'+this.options.speeds[d]+'">'+this.options.speeds[d]+"x</label></li>";a.speedButton=f(c+"</ul></div></div>").appendTo(b);
a.playbackspeed=this.options.defaultSpeed;a.speedButton.on("click","input[type=radio]",function(){a.playbackspeed=f(this).attr("value");e.playbackRate=parseFloat(a.playbackspeed);a.speedButton.find("button").text(a.playbackspeed+"x");a.speedButton.find(".mejs-speed-selected").removeClass("mejs-speed-selected");a.speedButton.find("input[type=radio]:checked").next().addClass("mejs-speed-selected")});b=a.speedButton.find(".mejs-speed-selector");b.height(this.speedButton.find(".mejs-speed-selector ul").outerHeight(!0)+
a.speedButton.find(".mejs-speed-translations").outerHeight(!0));b.css("top",-1*b.height()+"px")}}})})(mejs.$);
(function(f){f.extend(mejs.MepDefaults,{startLanguage:"",tracksText:mejs.i18n.t("Captions/Subtitles"),hideCaptionsButtonWhenEmpty:!0,toggleCaptionsButtonWhenOnlyOne:!1,slidesSelector:""});f.extend(MediaElementPlayer.prototype,{hasChapters:!1,buildtracks:function(a,b,c,e){if(0!==a.tracks.length){var d;if(this.domNode.textTracks)for(d=this.domNode.textTracks.length-1;0<=d;d--)this.domNode.textTracks[d].mode="hidden";a.chapters=f('<div class="mejs-chapters mejs-layer"></div>').prependTo(c).hide();a.captions=
f('<div class="mejs-captions-layer mejs-layer"><div class="mejs-captions-position mejs-captions-position-hover"><span class="mejs-captions-text"></span></div></div>').prependTo(c).hide();a.captionsText=a.captions.find(".mejs-captions-text");a.captionsButton=f('<div class="mejs-button mejs-captions-button"><button type="button" aria-controls="'+this.id+'" title="'+this.options.tracksText+'" aria-label="'+this.options.tracksText+'"></button><div class="mejs-captions-selector"><ul><li><input type="radio" name="'+
a.id+'_captions" id="'+a.id+'_captions_none" value="none" checked="checked" /><label for="'+a.id+'_captions_none">'+mejs.i18n.t("None")+"</label></li></ul></div></div>").appendTo(b);for(d=b=0;d<a.tracks.length;d++)"subtitles"==a.tracks[d].kind&&b++;if(this.options.toggleCaptionsButtonWhenOnlyOne&&1==b)a.captionsButton.on("click",function(){lang=null===a.selectedTrack?a.tracks[0].srclang:"none";a.setTrack(lang)});else a.captionsButton.on("mouseenter focusin",function(){f(this).find(".mejs-captions-selector").css("visibility",
"visible")}).on("click","input[type=radio]",function(){lang=this.value;a.setTrack(lang)}),a.captionsButton.on("mouseleave focusout",function(){f(this).find(".mejs-captions-selector").css("visibility","hidden")});a.options.alwaysShowControls?a.container.find(".mejs-captions-position").addClass("mejs-captions-position-hover"):a.container.bind("controlsshown",function(){a.container.find(".mejs-captions-position").addClass("mejs-captions-position-hover")}).bind("controlshidden",function(){e.paused||a.container.find(".mejs-captions-position").removeClass("mejs-captions-position-hover")});
a.trackToLoad=-1;a.selectedTrack=null;a.isLoadingTrack=!1;for(d=0;d<a.tracks.length;d++)"subtitles"==a.tracks[d].kind&&a.addTrackButton(a.tracks[d].srclang,a.tracks[d].label);a.loadNextTrack();e.addEventListener("timeupdate",function(b){a.displayCaptions()},!1);""!==a.options.slidesSelector&&(a.slidesContainer=f(a.options.slidesSelector),e.addEventListener("timeupdate",function(b){a.displaySlides()},!1));e.addEventListener("loadedmetadata",function(b){a.displayChapters()},!1);a.container.hover(function(){a.hasChapters&&
(a.chapters.css("visibility","visible"),a.chapters.fadeIn(200).height(a.chapters.find(".mejs-chapter").outerHeight()))},function(){a.hasChapters&&!e.paused&&a.chapters.fadeOut(200,function(){f(this).css("visibility","hidden");f(this).css("display","block")})});null!==a.node.getAttribute("autoplay")&&a.chapters.css("visibility","hidden")}},setTrack:function(a){var b;if("none"==a)this.selectedTrack=null,this.captionsButton.removeClass("mejs-captions-enabled");else for(b=0;b<this.tracks.length;b++)if(this.tracks[b].srclang==
a){null===this.selectedTrack&&this.captionsButton.addClass("mejs-captions-enabled");this.selectedTrack=this.tracks[b];this.captions.attr("lang",this.selectedTrack.srclang);this.displayCaptions();break}},loadNextTrack:function(){this.trackToLoad++;this.trackToLoad<this.tracks.length?(this.isLoadingTrack=!0,this.loadTrack(this.trackToLoad)):(this.isLoadingTrack=!1,this.checkForTracks())},loadTrack:function(a){var b=this,c=b.tracks[a];f.ajax({url:c.src,dataType:"text",success:function(a){"string"==typeof a&&
/<tt\s+xml/ig.exec(a)?c.entries=mejs.TrackFormatParser.dfxp.parse(a):c.entries=mejs.TrackFormatParser.webvtt.parse(a);c.isLoaded=!0;b.enableTrackButton(c.srclang,c.label);b.loadNextTrack();"chapters"==c.kind&&b.media.addEventListener("play",function(a){0<b.media.duration&&b.displayChapters(c)},!1);"slides"==c.kind&&b.setupSlides(c)},error:function(){b.loadNextTrack()}})},enableTrackButton:function(a,b){""===b&&(b=mejs.language.codes[a]||a);this.captionsButton.find("input[value="+a+"]").prop("disabled",
!1).siblings("label").html(b);this.options.startLanguage==a&&f("#"+this.id+"_captions_"+a).prop("checked",!0).trigger("click");this.adjustLanguageBox()},addTrackButton:function(a,b){""===b&&(b=mejs.language.codes[a]||a);this.captionsButton.find("ul").append(f('<li><input type="radio" name="'+this.id+'_captions" id="'+this.id+"_captions_"+a+'" value="'+a+'" disabled="disabled" /><label for="'+this.id+"_captions_"+a+'">'+b+" (loading)</label></li>"));this.adjustLanguageBox();this.container.find(".mejs-captions-translations option[value="+
a+"]").remove()},adjustLanguageBox:function(){this.captionsButton.find(".mejs-captions-selector").height(this.captionsButton.find(".mejs-captions-selector ul").outerHeight(!0)+this.captionsButton.find(".mejs-captions-translations").outerHeight(!0))},checkForTracks:function(){var a=!1;if(this.options.hideCaptionsButtonWhenEmpty){for(i=0;i<this.tracks.length;i++)if("subtitles"==this.tracks[i].kind){a=!0;break}a||(this.captionsButton.hide(),this.setControlsSize())}},displayCaptions:function(){if("undefined"!=
typeof this.tracks){var a,b=this.selectedTrack;if(null!==b&&b.isLoaded)for(a=0;a<b.entries.times.length;a++)if(this.media.currentTime>=b.entries.times[a].start&&this.media.currentTime<=b.entries.times[a].stop){this.captionsText.html(b.entries.text[a]).attr("class","mejs-captions-text "+(b.entries.times[a].identifier||""));this.captions.show().height(0);return}this.captions.hide()}},setupSlides:function(a){this.slides=a;this.slides.entries.imgs=[this.slides.entries.text.length];this.showSlide(0)},
showSlide:function(a){if(!("undefined"==typeof this.tracks||"undefined"==typeof this.slidesContainer)){var b=this,c=b.slides.entries.text[a],e=b.slides.entries.imgs[a];"undefined"==typeof e||"undefined"==typeof e.fadeIn?b.slides.entries.imgs[a]=e=f('<img src="'+c+'">').on("load",function(){e.appendTo(b.slidesContainer).hide().fadeIn().siblings(":visible").fadeOut()}):!e.is(":visible")&&!e.is(":animated")&&e.fadeIn().siblings(":visible").fadeOut()}},displaySlides:function(){if("undefined"!=typeof this.slides){var a=
this.slides,b;for(b=0;b<a.entries.times.length;b++)if(this.media.currentTime>=a.entries.times[b].start&&this.media.currentTime<=a.entries.times[b].stop){this.showSlide(b);break}}},displayChapters:function(){var a;for(a=0;a<this.tracks.length;a++)if("chapters"==this.tracks[a].kind&&this.tracks[a].isLoaded){this.drawChapters(this.tracks[a]);this.hasChapters=!0;break}},drawChapters:function(a){var b=this,c,e,d=e=0;b.chapters.empty();for(c=0;c<a.entries.times.length;c++){e=a.entries.times[c].stop-a.entries.times[c].start;
e=Math.floor(100*(e/b.media.duration));if(100<e+d||c==a.entries.times.length-1&&100>e+d)e=100-d;b.chapters.append(f('<div class="mejs-chapter" rel="'+a.entries.times[c].start+'" style="left: '+d.toString()+"%;width: "+e.toString()+'%;"><div class="mejs-chapter-block'+(c==a.entries.times.length-1?" mejs-chapter-block-last":"")+'"><span class="ch-title">'+a.entries.text[c]+'</span><span class="ch-time">'+mejs.Utility.secondsToTimeCode(a.entries.times[c].start)+"&ndash;"+mejs.Utility.secondsToTimeCode(a.entries.times[c].stop)+
"</span></div></div>"));d+=e}b.chapters.find("div.mejs-chapter").click(function(){b.media.setCurrentTime(parseFloat(f(this).attr("rel")));b.media.paused&&b.media.play()});b.chapters.show()}});mejs.language={codes:{af:"Afrikaans",sq:"Albanian",ar:"Arabic",be:"Belarusian",bg:"Bulgarian",ca:"Catalan",zh:"Chinese","zh-cn":"Chinese Simplified","zh-tw":"Chinese Traditional",hr:"Croatian",cs:"Czech",da:"Danish",nl:"Dutch",en:"English",et:"Estonian",fl:"Filipino",fi:"Finnish",fr:"French",gl:"Galician",de:"German",
el:"Greek",ht:"Haitian Creole",iw:"Hebrew",hi:"Hindi",hu:"Hungarian",is:"Icelandic",id:"Indonesian",ga:"Irish",it:"Italian",ja:"Japanese",ko:"Korean",lv:"Latvian",lt:"Lithuanian",mk:"Macedonian",ms:"Malay",mt:"Maltese",no:"Norwegian",fa:"Persian",pl:"Polish",pt:"Portuguese",ro:"Romanian",ru:"Russian",sr:"Serbian",sk:"Slovak",sl:"Slovenian",es:"Spanish",sw:"Swahili",sv:"Swedish",tl:"Tagalog",th:"Thai",tr:"Turkish",uk:"Ukrainian",vi:"Vietnamese",cy:"Welsh",yi:"Yiddish"}};mejs.TrackFormatParser={webvtt:{pattern_timecode:/^((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{1,3})?) --\> ((?:[0-9]{1,2}:)?[0-9]{2}:[0-9]{2}([,.][0-9]{3})?)(.*)$/,
parse:function(a){var b=0;a=mejs.TrackFormatParser.split2(a,/\r?\n/);for(var c={text:[],times:[]},e,d,g;b<a.length;b++){if((e=this.pattern_timecode.exec(a[b]))&&b<a.length){0<=b-1&&""!==a[b-1]&&(g=a[b-1]);b++;d=a[b];for(b++;""!==a[b]&&b<a.length;)d=d+"\n"+a[b],b++;d=f.trim(d).replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig,"<a href='$1' target='_blank'>$1</a>");c.text.push(d);c.times.push({identifier:g,start:0===mejs.Utility.convertSMPTEtoSeconds(e[1])?0.2:mejs.Utility.convertSMPTEtoSeconds(e[1]),
stop:mejs.Utility.convertSMPTEtoSeconds(e[3]),settings:e[5]})}g=""}return c}},dfxp:{parse:function(a){a=f(a).filter("tt");var b=0,b=a.children("div").eq(0),c=b.find("p"),b=a.find("#"+b.attr("style")),e,d;a={text:[],times:[]};if(b.length&&(d=b.removeAttr("id").get(0).attributes,d.length)){e={};for(b=0;b<d.length;b++)e[d[b].name.split(":")[1]]=d[b].value}for(b=0;b<c.length;b++){var g;d={start:null,stop:null,style:null};c.eq(b).attr("begin")&&(d.start=mejs.Utility.convertSMPTEtoSeconds(c.eq(b).attr("begin")));
!d.start&&c.eq(b-1).attr("end")&&(d.start=mejs.Utility.convertSMPTEtoSeconds(c.eq(b-1).attr("end")));c.eq(b).attr("end")&&(d.stop=mejs.Utility.convertSMPTEtoSeconds(c.eq(b).attr("end")));!d.stop&&c.eq(b+1).attr("begin")&&(d.stop=mejs.Utility.convertSMPTEtoSeconds(c.eq(b+1).attr("begin")));if(e){g="";for(var h in e)g+=h+":"+e[h]+";"}g&&(d.style=g);0===d.start&&(d.start=0.2);a.times.push(d);d=f.trim(c.eq(b).html()).replace(/(\b(https?|ftp|file):\/\/[-A-Z0-9+&@#\/%?=~_|!:,.;]*[-A-Z0-9+&@#\/%=~_|])/ig,
"<a href='$1' target='_blank'>$1</a>");a.text.push(d);0===a.times.start&&(a.times.start=2)}return a}},split2:function(a,b){return a.split(b)}};3!="x\n\ny".split(/\n/gi).length&&(mejs.TrackFormatParser.split2=function(a,b){var c=[],e="",d;for(d=0;d<a.length;d++)e+=a.substring(d,d+1),b.test(e)&&(c.push(e.replace(b,"")),e="");c.push(e);return c})})(mejs.$);
(function(f){f.extend(mejs.MepDefaults,{contextMenuItems:[{render:function(a){return"undefined"==typeof a.enterFullScreen?null:a.isFullScreen?mejs.i18n.t("Turn off Fullscreen"):mejs.i18n.t("Go Fullscreen")},click:function(a){a.isFullScreen?a.exitFullScreen():a.enterFullScreen()}},{render:function(a){return a.media.muted?mejs.i18n.t("Unmute"):mejs.i18n.t("Mute")},click:function(a){a.media.muted?a.setMuted(!1):a.setMuted(!0)}},{isSeparator:!0},{render:function(a){return mejs.i18n.t("Download Video")},
click:function(a){window.location.href=a.media.currentSrc}}]});f.extend(MediaElementPlayer.prototype,{buildcontextmenu:function(a,b,c,e){a.contextMenu=f('<div class="mejs-contextmenu"></div>').appendTo(f("body")).hide();a.container.bind("contextmenu",function(b){if(a.isContextMenuEnabled)return b.preventDefault(),a.renderContextMenu(b.clientX-1,b.clientY-1),!1});a.container.bind("click",function(){a.contextMenu.hide()});a.contextMenu.bind("mouseleave",function(){a.startContextMenuTimer()})},cleancontextmenu:function(a){a.contextMenu.remove()},
isContextMenuEnabled:!0,enableContextMenu:function(){this.isContextMenuEnabled=!0},disableContextMenu:function(){this.isContextMenuEnabled=!1},contextMenuTimeout:null,startContextMenuTimer:function(){var a=this;a.killContextMenuTimer();a.contextMenuTimer=setTimeout(function(){a.hideContextMenu();a.killContextMenuTimer()},750)},killContextMenuTimer:function(){var a=this.contextMenuTimer;null!=a&&(clearTimeout(a),delete a)},hideContextMenu:function(){this.contextMenu.hide()},renderContextMenu:function(a,
b){for(var c=this,e="",d=c.options.contextMenuItems,g=0,h=d.length;g<h;g++)if(d[g].isSeparator)e+='<div class="mejs-contextmenu-separator"></div>';else{var k=d[g].render(c);null!=k&&(e+='<div class="mejs-contextmenu-item" data-itemindex="'+g+'" id="element-'+1E6*Math.random()+'">'+k+"</div>")}c.contextMenu.empty().append(f(e)).css({top:b,left:a}).show();c.contextMenu.find(".mejs-contextmenu-item").each(function(){var a=f(this),b=parseInt(a.data("itemindex"),10),d=c.options.contextMenuItems[b];"undefined"!=
typeof d.show&&d.show(a,c);a.click(function(){"undefined"!=typeof d.click&&d.click(c);c.contextMenu.hide()})});setTimeout(function(){c.killControlsTimer("rev3")},100)}})})(mejs.$);
(function(f){f.extend(mejs.MepDefaults,{postrollCloseText:mejs.i18n.t("Close")});f.extend(MediaElementPlayer.prototype,{buildpostroll:function(a,b,c,e){var d=this.container.find('link[rel="postroll"]').attr("href");"undefined"!==typeof d&&(a.postroll=f('<div class="mejs-postroll-layer mejs-layer"><a class="mejs-postroll-close" onclick="$(this).parent().hide();return false;">'+this.options.postrollCloseText+'</a><div class="mejs-postroll-layer-content"></div></div>').prependTo(c).hide(),this.media.addEventListener("ended",
function(b){f.ajax({dataType:"html",url:d,success:function(a,b){c.find(".mejs-postroll-layer-content").html(a)}});a.postroll.show()},!1))}})})(mejs.$);

