/*!
* MediaElement.js
* HTML5 <video> and <audio> shim and player
* http://mediaelementjs.com/
*
* Creates a JavaScript object that mimics HTML5 MediaElement API
* for browsers that don't understand HTML5 or can't play the provided codec
* Can play MP4 (H.264), Ogg, WebM, FLV, WMV, WMA, ACC, and MP3
*
* Copyright 2010-2014, John Dyer (http://j.hn)
* License: MIT
*
*/var mejs=mejs||{};mejs.version="2.15.1";mejs.meIndex=0;
mejs.plugins={silverlight:[{version:[3,0],types:"video/mp4 video/m4v video/mov video/wmv audio/wma audio/m4a audio/mp3 audio/wav audio/mpeg".split(" ")}],flash:[{version:[9,0,124],types:"video/mp4 video/m4v video/mov video/flv video/rtmp video/x-flv audio/flv audio/x-flv audio/mp3 audio/m4a audio/mpeg video/youtube video/x-youtube application/x-mpegURL".split(" ")}],youtube:[{version:null,types:["video/youtube","video/x-youtube","audio/youtube","audio/x-youtube"]}],vimeo:[{version:null,types:["video/vimeo",
"video/x-vimeo"]}]};
mejs.Utility={encodeUrl:function(a){return encodeURIComponent(a)},escapeHTML:function(a){return a.toString().split("&").join("&amp;").split("<").join("&lt;").split('"').join("&quot;")},absolutizeUrl:function(a){var b=document.createElement("div");b.innerHTML='<a href="'+this.escapeHTML(a)+'">x</a>';return b.firstChild.href},getScriptPath:function(a){for(var b=0,c,d="",e="",g,f,k=document.getElementsByTagName("script"),m=k.length,h=a.length;b<m;b++){g=k[b].src;c=g.lastIndexOf("/");-1<c?(f=g.substring(c+
1),g=g.substring(0,c+1)):(f=g,g="");for(c=0;c<h;c++)if(e=a[c],e=f.indexOf(e),-1<e){d=g;break}if(""!==d)break}return d},secondsToTimeCode:function(a,b,c,d){"undefined"==typeof c?c=!1:"undefined"==typeof d&&(d=25);var e=Math.floor(a/3600)%24,g=Math.floor(a/60)%60,f=Math.floor(a%60);a=Math.floor((a%1*d).toFixed(3));return(b||0<e?(10>e?"0"+e:e)+":":"")+(10>g?"0"+g:g)+":"+(10>f?"0"+f:f)+(c?":"+(10>a?"0"+a:a):"")},timeCodeToSeconds:function(a,b,c,d){"undefined"==typeof c?c=!1:"undefined"==typeof d&&(d=
25);a=a.split(":");b=parseInt(a[0],10);var e=parseInt(a[1],10),g=parseInt(a[2],10),f=0;c&&(f=parseInt(a[3])/d);return 3600*b+60*e+g+f},convertSMPTEtoSeconds:function(a){if("string"!=typeof a)return!1;a=a.replace(",",".");var b=0,c=-1!=a.indexOf(".")?a.split(".")[1].length:0,d=1;a=a.split(":").reverse();for(var e=0;e<a.length;e++)d=1,0<e&&(d=Math.pow(60,e)),b+=Number(a[e])*d;return Number(b.toFixed(c))},removeSwf:function(a){var b=document.getElementById(a);b&&/object|embed/i.test(b.nodeName)&&(mejs.MediaFeatures.isIE?
(b.style.display="none",function(){4==b.readyState?mejs.Utility.removeObjectInIE(a):setTimeout(arguments.callee,10)}()):b.parentNode.removeChild(b))},removeObjectInIE:function(a){if(a=document.getElementById(a)){for(var b in a)"function"==typeof a[b]&&(a[b]=null);a.parentNode.removeChild(a)}}};
mejs.PluginDetector={hasPluginVersion:function(a,b){var c=this.plugins[a];b[1]=b[1]||0;b[2]=b[2]||0;return c[0]>b[0]||c[0]==b[0]&&c[1]>b[1]||c[0]==b[0]&&c[1]==b[1]&&c[2]>=b[2]?!0:!1},nav:window.navigator,ua:window.navigator.userAgent.toLowerCase(),plugins:[],addPlugin:function(a,b,c,d,e){this.plugins[a]=this.detectPlugin(b,c,d,e)},detectPlugin:function(a,b,c,d){var e=[0,0,0],g;if("undefined"!=typeof this.nav.plugins&&"object"==typeof this.nav.plugins[a]){if((c=this.nav.plugins[a].description)&&!("undefined"!=
typeof this.nav.mimeTypes&&this.nav.mimeTypes[b]&&!this.nav.mimeTypes[b].enabledPlugin)){e=c.replace(a,"").replace(/^\s+/,"").replace(/\sr/gi,".").split(".");for(a=0;a<e.length;a++)e[a]=parseInt(e[a].match(/\d+/),10)}}else if("undefined"!=typeof window.ActiveXObject)try{(g=new ActiveXObject(c))&&(e=d(g))}catch(f){}return e}};
mejs.PluginDetector.addPlugin("flash","Shockwave Flash","application/x-shockwave-flash","ShockwaveFlash.ShockwaveFlash",function(a){var b=[];if(a=a.GetVariable("$version"))a=a.split(" ")[1].split(","),b=[parseInt(a[0],10),parseInt(a[1],10),parseInt(a[2],10)];return b});
mejs.PluginDetector.addPlugin("silverlight","Silverlight Plug-In","application/x-silverlight-2","AgControl.AgControl",function(a){var b=[0,0,0,0],c=function(a,b,c,f){for(;a.isVersionSupported(b[0]+"."+b[1]+"."+b[2]+"."+b[3]);)b[c]+=f;b[c]-=f};c(a,b,0,1);c(a,b,1,1);c(a,b,2,1E4);c(a,b,2,1E3);c(a,b,2,100);c(a,b,2,10);c(a,b,2,1);c(a,b,3,1);return b});
mejs.MediaFeatures={init:function(){var a=this,b=document,c=mejs.PluginDetector.nav,d=mejs.PluginDetector.ua.toLowerCase(),e,g=["source","track","audio","video"];a.isiPad=null!==d.match(/ipad/i);a.isiPhone=null!==d.match(/iphone/i);a.isiOS=a.isiPhone||a.isiPad;a.isAndroid=null!==d.match(/android/i);a.isBustedAndroid=null!==d.match(/android 2\.[12]/);a.isBustedNativeHTTPS="https:"===location.protocol&&(null!==d.match(/android [12]\./)||null!==d.match(/macintosh.* version.* safari/));a.isIE=-1!=c.appName.toLowerCase().indexOf("microsoft")||
null!==c.appName.toLowerCase().match(/trident/gi);a.isChrome=null!==d.match(/chrome/gi);a.isChromium=null!==d.match(/chromium/gi);a.isFirefox=null!==d.match(/firefox/gi);a.isWebkit=null!==d.match(/webkit/gi);a.isGecko=null!==d.match(/gecko/gi)&&!a.isWebkit&&!a.isIE;a.isOpera=null!==d.match(/opera/gi);a.hasTouch="ontouchstart"in window;a.svg=!!document.createElementNS&&!!document.createElementNS("http://www.w3.org/2000/svg","svg").createSVGRect;for(c=0;c<g.length;c++)e=document.createElement(g[c]);
a.supportsMediaTag="undefined"!==typeof e.canPlayType||a.isBustedAndroid;try{e.canPlayType("video/mp4")}catch(f){a.supportsMediaTag=!1}a.hasSemiNativeFullScreen="undefined"!==typeof e.webkitEnterFullscreen;a.hasNativeFullscreen="undefined"!==typeof e.requestFullscreen;a.hasWebkitNativeFullScreen="undefined"!==typeof e.webkitRequestFullScreen;a.hasMozNativeFullScreen="undefined"!==typeof e.mozRequestFullScreen;a.hasMsNativeFullScreen="undefined"!==typeof e.msRequestFullscreen;a.hasTrueNativeFullScreen=
a.hasWebkitNativeFullScreen||a.hasMozNativeFullScreen||a.hasMsNativeFullScreen;a.nativeFullScreenEnabled=a.hasTrueNativeFullScreen;a.hasMozNativeFullScreen?a.nativeFullScreenEnabled=document.mozFullScreenEnabled:a.hasMsNativeFullScreen&&(a.nativeFullScreenEnabled=document.msFullscreenEnabled);a.isChrome&&(a.hasSemiNativeFullScreen=!1);a.hasTrueNativeFullScreen&&(a.fullScreenEventName="",a.hasWebkitNativeFullScreen?a.fullScreenEventName="webkitfullscreenchange":a.hasMozNativeFullScreen?a.fullScreenEventName=
"mozfullscreenchange":a.hasMsNativeFullScreen&&(a.fullScreenEventName="MSFullscreenChange"),a.isFullScreen=function(){if(a.hasMozNativeFullScreen)return b.mozFullScreen;if(a.hasWebkitNativeFullScreen)return b.webkitIsFullScreen;if(a.hasMsNativeFullScreen)return null!==b.msFullscreenElement},a.requestFullScreen=function(b){a.hasWebkitNativeFullScreen?b.webkitRequestFullScreen():a.hasMozNativeFullScreen?b.mozRequestFullScreen():a.hasMsNativeFullScreen&&b.msRequestFullscreen()},a.cancelFullScreen=function(){a.hasWebkitNativeFullScreen?
document.webkitCancelFullScreen():a.hasMozNativeFullScreen?document.mozCancelFullScreen():a.hasMsNativeFullScreen&&document.msExitFullscreen()});a.hasSemiNativeFullScreen&&d.match(/mac os x 10_5/i)&&(a.hasNativeFullScreen=!1,a.hasSemiNativeFullScreen=!1)}};mejs.MediaFeatures.init();
mejs.HtmlMediaElement={pluginType:"native",isFullScreen:!1,setCurrentTime:function(a){this.currentTime=a},setMuted:function(a){this.muted=a},setVolume:function(a){this.volume=a},stop:function(){this.pause()},setSrc:function(a){for(var b=this.getElementsByTagName("source");0<b.length;)this.removeChild(b[0]);if("string"==typeof a)this.src=a;else for(var c,b=0;b<a.length;b++)if(c=a[b],this.canPlayType(c.type)){this.src=c.src;break}},setVideoSize:function(a,b){this.width=a;this.height=b}};
mejs.PluginMediaElement=function(a,b,c){this.id=a;this.pluginType=b;this.src=c;this.events={};this.attributes={}};
mejs.PluginMediaElement.prototype={pluginElement:null,pluginType:"",isFullScreen:!1,playbackRate:-1,defaultPlaybackRate:-1,seekable:[],played:[],paused:!0,ended:!1,seeking:!1,duration:0,error:null,tagName:"",muted:!1,volume:1,currentTime:0,play:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.playVideo():this.pluginApi.playMedia(),this.paused=!1)},load:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType||this.pluginApi.loadMedia(),
this.paused=!1)},pause:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.pauseVideo():this.pluginApi.pauseMedia(),this.paused=!0)},stop:function(){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.stopVideo():this.pluginApi.stopMedia(),this.paused=!0)},canPlayType:function(a){var b,c,d,e=mejs.plugins[this.pluginType];for(b=0;b<e.length;b++)if(d=e[b],mejs.PluginDetector.hasPluginVersion(this.pluginType,d.version))for(c=
0;c<d.types.length;c++)if(a==d.types[c])return"probably";return""},positionFullscreenButton:function(a,b,c){null!=this.pluginApi&&this.pluginApi.positionFullscreenButton&&this.pluginApi.positionFullscreenButton(Math.floor(a),Math.floor(b),c)},hideFullscreenButton:function(){null!=this.pluginApi&&this.pluginApi.hideFullscreenButton&&this.pluginApi.hideFullscreenButton()},setSrc:function(a){if("string"==typeof a)this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(a)),this.src=mejs.Utility.absolutizeUrl(a);
else{var b,c;for(b=0;b<a.length;b++)if(c=a[b],this.canPlayType(c.type)){this.pluginApi.setSrc(mejs.Utility.absolutizeUrl(c.src));this.src=mejs.Utility.absolutizeUrl(a);break}}},setCurrentTime:function(a){null!=this.pluginApi&&("youtube"==this.pluginType||"vimeo"==this.pluginType?this.pluginApi.seekTo(a):this.pluginApi.setCurrentTime(a),this.currentTime=a)},setVolume:function(a){null!=this.pluginApi&&("youtube"==this.pluginType?this.pluginApi.setVolume(100*a):this.pluginApi.setVolume(a),this.volume=
a)},setMuted:function(a){null!=this.pluginApi&&("youtube"==this.pluginType?(a?this.pluginApi.mute():this.pluginApi.unMute(),this.muted=a,this.dispatchEvent("volumechange")):this.pluginApi.setMuted(a),this.muted=a)},setVideoSize:function(a,b){this.pluginElement&&this.pluginElement.style&&(this.pluginElement.style.width=a+"px",this.pluginElement.style.height=b+"px");null!=this.pluginApi&&this.pluginApi.setVideoSize&&this.pluginApi.setVideoSize(a,b)},setFullscreen:function(a){null!=this.pluginApi&&this.pluginApi.setFullscreen&&
this.pluginApi.setFullscreen(a)},enterFullScreen:function(){null!=this.pluginApi&&this.pluginApi.setFullscreen&&this.setFullscreen(!0)},exitFullScreen:function(){null!=this.pluginApi&&this.pluginApi.setFullscreen&&this.setFullscreen(!1)},addEventListener:function(a,b,c){this.events[a]=this.events[a]||[];this.events[a].push(b)},removeEventListener:function(a,b){if(!a)return this.events={},!0;var c=this.events[a];if(!c)return!0;if(!b)return this.events[a]=[],!0;for(var d=0;d<c.length;d++)if(c[d]===
b)return this.events[a].splice(d,1),!0;return!1},dispatchEvent:function(a){var b,c,d=this.events[a];if(d){c=Array.prototype.slice.call(arguments,1);for(b=0;b<d.length;b++)d[b].apply(null,c)}},hasAttribute:function(a){return a in this.attributes},removeAttribute:function(a){delete this.attributes[a]},getAttribute:function(a){return this.hasAttribute(a)?this.attributes[a]:""},setAttribute:function(a,b){this.attributes[a]=b},remove:function(){mejs.Utility.removeSwf(this.pluginElement.id);mejs.MediaPluginBridge.unregisterPluginElement(this.pluginElement.id)}};
mejs.MediaPluginBridge={pluginMediaElements:{},htmlMediaElements:{},registerPluginElement:function(a,b,c){this.pluginMediaElements[a]=b;this.htmlMediaElements[a]=c},unregisterPluginElement:function(a){delete this.pluginMediaElements[a];delete this.htmlMediaElements[a]},initPlugin:function(a){var b=this.pluginMediaElements[a],c=this.htmlMediaElements[a];if(b){switch(b.pluginType){case "flash":b.pluginElement=b.pluginApi=document.getElementById(a);break;case "silverlight":b.pluginElement=document.getElementById(b.id),
b.pluginApi=b.pluginElement.Content.MediaElementJS}null!=b.pluginApi&&b.success&&b.success(b,c)}},fireEvent:function(a,b,c){var d,e;if(a=this.pluginMediaElements[a]){b={type:b,target:a};for(d in c)a[d]=c[d],b[d]=c[d];e=c.bufferedTime||0;b.target.buffered=b.buffered={start:function(a){return 0},end:function(a){return e},length:1};a.dispatchEvent(b.type,b)}}};
mejs.MediaElementDefaults={mode:"auto",plugins:["youtube","vimeo"],enablePluginDebug:!1,httpsBasicAuthSite:!1,type:"",pluginPath:mejs.Utility.getScriptPath(["mediaelement.js","mediaelement.min.js","mediaelement-and-player.js","mediaelement-and-player.min.js"]),flashName:"flashmediaelement.swf",flashStreamer:"",enablePluginSmoothing:!1,enablePseudoStreaming:!1,pseudoStreamingStartQueryParam:"start",silverlightName:"silverlightmediaelement.xap",defaultVideoWidth:480,defaultVideoHeight:270,pluginWidth:-1,
pluginHeight:-1,pluginVars:[],timerRate:250,startVolume:0.8,success:function(){},error:function(){}};mejs.MediaElement=function(a,b){return mejs.HtmlMediaElementShim.create(a,b)};
mejs.HtmlMediaElementShim={create:function(a,b){var c=mejs.MediaElementDefaults,d="string"==typeof a?document.getElementById(a):a,e=d.tagName.toLowerCase(),g="audio"===e||"video"===e,f=g?d.getAttribute("src"):d.getAttribute("href"),e=d.getAttribute("poster"),k=d.getAttribute("autoplay"),m=d.getAttribute("preload"),h=d.getAttribute("controls"),l;for(l in b)c[l]=b[l];e="undefined"==typeof e||null===e?"":e;m="undefined"==typeof m||null===m||"false"===m?"none":m;k=!("undefined"==typeof k||null===k||"false"===
k);h=!("undefined"==typeof h||null===h||"false"===h);l=this.determinePlayback(d,c,mejs.MediaFeatures.supportsMediaTag,g,"undefined"==typeof f||null===f||""==f?null:f);l.url=null!==l.url?mejs.Utility.absolutizeUrl(l.url):"";if("native"==l.method)return mejs.MediaFeatures.isBustedAndroid&&(d.src=l.url,d.addEventListener("click",function(){d.play()},!1)),this.updateNative(l,c,k,m);if(""!==l.method)return this.createPlugin(l,c,e,k,m,h);this.createErrorMessage(l,c,e);return this},determinePlayback:function(a,
b,c,d,e){var g=[],f,k,m,h={method:"",url:"",htmlMediaElement:a,isVideo:"audio"!=a.tagName.toLowerCase()},l;if("undefined"!=typeof b.type&&""!==b.type)if("string"==typeof b.type)g.push({type:b.type,url:e});else for(f=0;f<b.type.length;f++)g.push({type:b.type[f],url:e});else if(null!==e)m=this.formatType(e,a.getAttribute("type")),g.push({type:m,url:e});else for(f=0;f<a.childNodes.length;f++)k=a.childNodes[f],1==k.nodeType&&"source"==k.tagName.toLowerCase()&&(e=k.getAttribute("src"),m=this.formatType(e,
k.getAttribute("type")),k=k.getAttribute("media"),(!k||!window.matchMedia||window.matchMedia&&window.matchMedia(k).matches)&&g.push({type:m,url:e}));!d&&(0<g.length&&null!==g[0].url&&-1<this.getTypeFromFile(g[0].url).indexOf("audio"))&&(h.isVideo=!1);mejs.MediaFeatures.isBustedAndroid&&(a.canPlayType=function(a){return null!==a.match(/video\/(mp4|m4v)/gi)?"maybe":""});mejs.MediaFeatures.isChromium&&(a.canPlayType=function(a){return null!==a.match(/video\/(webm|ogv|ogg)/gi)?"maybe":""});if(c&&("auto"===
b.mode||"auto_plugin"===b.mode||"native"===b.mode)&&!(mejs.MediaFeatures.isBustedNativeHTTPS&&!0===b.httpsBasicAuthSite)){d||(f=document.createElement(h.isVideo?"video":"audio"),a.parentNode.insertBefore(f,a),a.style.display="none",h.htmlMediaElement=a=f);for(f=0;f<g.length;f++)if("video/m3u8"==g[f].type||""!==a.canPlayType(g[f].type).replace(/no/,"")||""!==a.canPlayType(g[f].type.replace(/mp3/,"mpeg")).replace(/no/,"")||""!==a.canPlayType(g[f].type.replace(/m4a/,"mp4")).replace(/no/,"")){h.method=
"native";h.url=g[f].url;break}if("native"===h.method&&(null!==h.url&&(a.src=h.url),"auto_plugin"!==b.mode))return h}if("auto"===b.mode||"auto_plugin"===b.mode||"shim"===b.mode)for(f=0;f<g.length;f++){m=g[f].type;for(a=0;a<b.plugins.length;a++){e=b.plugins[a];k=mejs.plugins[e];for(c=0;c<k.length;c++)if(l=k[c],null==l.version||mejs.PluginDetector.hasPluginVersion(e,l.version))for(d=0;d<l.types.length;d++)if(m==l.types[d])return h.method=e,h.url=g[f].url,h}}if("auto_plugin"===b.mode&&"native"===h.method)return h;
""===h.method&&0<g.length&&(h.url=g[0].url);return h},formatType:function(a,b){return a&&!b?this.getTypeFromFile(a):b&&~b.indexOf(";")?b.substr(0,b.indexOf(";")):b},getTypeFromFile:function(a){a=a.split("?")[0];a=a.substring(a.lastIndexOf(".")+1).toLowerCase();return(/(mp4|m4v|ogg|ogv|m3u8|webm|webmv|flv|wmv|mpeg|mov)/gi.test(a)?"video":"audio")+"/"+this.getTypeFromExtension(a)},getTypeFromExtension:function(a){switch(a){case "mp4":case "m4v":case "m4a":return"mp4";case "webm":case "webma":case "webmv":return"webm";
case "ogg":case "oga":case "ogv":return"ogg";default:return a}},createErrorMessage:function(a,b,c){var d=a.htmlMediaElement,e=document.createElement("div");e.className="me-cannotplay";try{e.style.width=d.width+"px",e.style.height=d.height+"px"}catch(g){}e.innerHTML=b.customError?b.customError:""!==c?'<a href="'+a.url+'"><img src="'+c+'" width="100%" height="100%" /></a>':'<a href="'+a.url+'"><span>'+mejs.i18n.t("Download File")+"</span></a>";d.parentNode.insertBefore(e,d);d.style.display="none";b.error(d)},
createPlugin:function(a,b,c,d,e,g){c=a.htmlMediaElement;var f=1,k=1,m="me_"+a.method+"_"+mejs.meIndex++,h=new mejs.PluginMediaElement(m,a.method,a.url),l=document.createElement("div"),p;h.tagName=c.tagName;for(p=0;p<c.attributes.length;p++){var q=c.attributes[p];!0==q.specified&&h.setAttribute(q.name,q.value)}for(p=c.parentNode;null!==p&&"body"!==p.tagName.toLowerCase()&&null!=p.parentNode;){if("p"===p.parentNode.tagName.toLowerCase()){p.parentNode.parentNode.insertBefore(p,p.parentNode);break}p=
p.parentNode}a.isVideo?(f=0<b.pluginWidth?b.pluginWidth:0<b.videoWidth?b.videoWidth:null!==c.getAttribute("width")?c.getAttribute("width"):b.defaultVideoWidth,k=0<b.pluginHeight?b.pluginHeight:0<b.videoHeight?b.videoHeight:null!==c.getAttribute("height")?c.getAttribute("height"):b.defaultVideoHeight,f=mejs.Utility.encodeUrl(f),k=mejs.Utility.encodeUrl(k)):b.enablePluginDebug&&(f=320,k=240);h.success=b.success;mejs.MediaPluginBridge.registerPluginElement(m,h,c);l.className="me-plugin";l.id=m+"_container";
a.isVideo?c.parentNode.insertBefore(l,c):document.body.insertBefore(l,document.body.childNodes[0]);d=["id="+m,"isvideo="+(a.isVideo?"true":"false"),"autoplay="+(d?"true":"false"),"preload="+e,"width="+f,"startvolume="+b.startVolume,"timerrate="+b.timerRate,"flashstreamer="+b.flashStreamer,"height="+k,"pseudostreamstart="+b.pseudoStreamingStartQueryParam];null!==a.url&&("flash"==a.method?d.push("file="+mejs.Utility.encodeUrl(a.url)):d.push("file="+a.url));b.enablePluginDebug&&d.push("debug=true");
b.enablePluginSmoothing&&d.push("smoothing=true");b.enablePseudoStreaming&&d.push("pseudostreaming=true");g&&d.push("controls=true");b.pluginVars&&(d=d.concat(b.pluginVars));switch(a.method){case "silverlight":l.innerHTML='<object data="data:application/x-silverlight-2," type="application/x-silverlight-2" id="'+m+'" name="'+m+'" width="'+f+'" height="'+k+'" class="mejs-shim"><param name="initParams" value="'+d.join(",")+'" /><param name="windowless" value="true" /><param name="background" value="black" /><param name="minRuntimeVersion" value="3.0.0.0" /><param name="autoUpgrade" value="true" /><param name="source" value="'+
b.pluginPath+b.silverlightName+'" /></object>';break;case "flash":mejs.MediaFeatures.isIE?(a=document.createElement("div"),l.appendChild(a),a.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+m+'" width="'+f+'" height="'+k+'" class="mejs-shim"><param name="movie" value="'+b.pluginPath+b.flashName+"?x="+new Date+'" /><param name="flashvars" value="'+d.join("&amp;")+'" /><param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="always" /><param name="allowFullScreen" value="true" /><param name="scale" value="default" /></object>'):
l.innerHTML='<embed id="'+m+'" name="'+m+'" play="true" loop="false" quality="high" bgcolor="#000000" wmode="transparent" allowScriptAccess="always" allowFullScreen="true" type="application/x-shockwave-flash" pluginspage="//www.macromedia.com/go/getflashplayer" src="'+b.pluginPath+b.flashName+'" flashvars="'+d.join("&")+'" width="'+f+'" height="'+k+'" scale="default"class="mejs-shim"></embed>';break;case "youtube":-1!=a.url.lastIndexOf("youtu.be")?(a=a.url.substr(a.url.lastIndexOf("/")+1),-1!=a.indexOf("?")&&
(a=a.substr(0,a.indexOf("?")))):a=a.url.substr(a.url.lastIndexOf("=")+1);youtubeSettings={container:l,containerId:l.id,pluginMediaElement:h,pluginId:m,videoId:a,height:k,width:f};mejs.PluginDetector.hasPluginVersion("flash",[10,0,0])?mejs.YouTubeApi.createFlash(youtubeSettings):mejs.YouTubeApi.enqueueIframe(youtubeSettings);break;case "vimeo":if(b=m+"_player",h.vimeoid=a.url.substr(a.url.lastIndexOf("/")+1),l.innerHTML='<iframe src="//player.vimeo.com/video/'+h.vimeoid+"?api=1&portrait=0&byline=0&title=0&player_id="+
b+'" width="'+f+'" height="'+k+'" frameborder="0" class="mejs-shim" id="'+b+'"></iframe>',"function"==typeof $f){var n=$f(l.childNodes[0]);n.addEvent("ready",function(){function a(b,c,d,e){b={type:d,target:c};"timeupdate"==d&&(c.currentTime=b.currentTime=e.seconds,c.duration=b.duration=e.duration);c.dispatchEvent(b.type,b)}$.extend(n,{playVideo:function(){n.api("play")},stopVideo:function(){n.api("unload")},pauseVideo:function(){n.api("pause")},seekTo:function(a){n.api("seekTo",a)},setVolume:function(a){n.api("setVolume",
a)},setMuted:function(a){a?(n.lastVolume=n.api("getVolume"),n.api("setVolume",0)):(n.api("setVolume",n.lastVolume),delete n.lastVolume)}});n.addEvent("play",function(){a(n,h,"play");a(n,h,"playing")});n.addEvent("pause",function(){a(n,h,"pause")});n.addEvent("finish",function(){a(n,h,"ended")});n.addEvent("playProgress",function(b){a(n,h,"timeupdate",b)});h.pluginElement=l;h.pluginApi=n;mejs.MediaPluginBridge.initPlugin(m)})}else console.warn("You need to include froogaloop for vimeo to work")}c.style.display=
"none";c.removeAttribute("autoplay");return h},updateNative:function(a,b,c,d){a=a.htmlMediaElement;for(var e in mejs.HtmlMediaElement)a[e]=mejs.HtmlMediaElement[e];b.success(a,a);return a}};
mejs.YouTubeApi={isIframeStarted:!1,isIframeLoaded:!1,loadIframeApi:function(){if(!this.isIframeStarted){var a=document.createElement("script");a.src="//www.youtube.com/player_api";var b=document.getElementsByTagName("script")[0];b.parentNode.insertBefore(a,b);this.isIframeStarted=!0}},iframeQueue:[],enqueueIframe:function(a){this.isLoaded?this.createIframe(a):(this.loadIframeApi(),this.iframeQueue.push(a))},createIframe:function(a){var b=a.pluginMediaElement,c=new YT.Player(a.containerId,{height:a.height,
width:a.width,videoId:a.videoId,playerVars:{controls:0},events:{onReady:function(){a.pluginMediaElement.pluginApi=c;mejs.MediaPluginBridge.initPlugin(a.pluginId);setInterval(function(){mejs.YouTubeApi.createEvent(c,b,"timeupdate")},250)},onStateChange:function(a){mejs.YouTubeApi.handleStateChange(a.data,c,b)}}})},createEvent:function(a,b,c){c={type:c,target:b};if(a&&a.getDuration){b.currentTime=c.currentTime=a.getCurrentTime();b.duration=c.duration=a.getDuration();c.paused=b.paused;c.ended=b.ended;
c.muted=a.isMuted();c.volume=a.getVolume()/100;c.bytesTotal=a.getVideoBytesTotal();c.bufferedBytes=a.getVideoBytesLoaded();var d=c.bufferedBytes/c.bytesTotal*c.duration;c.target.buffered=c.buffered={start:function(a){return 0},end:function(a){return d},length:1}}b.dispatchEvent(c.type,c)},iFrameReady:function(){for(this.isIframeLoaded=this.isLoaded=!0;0<this.iframeQueue.length;){var a=this.iframeQueue.pop();this.createIframe(a)}},flashPlayers:{},createFlash:function(a){this.flashPlayers[a.pluginId]=
a;var b,c="//www.youtube.com/apiplayer?enablejsapi=1&amp;playerapiid="+a.pluginId+"&amp;version=3&amp;autoplay=0&amp;controls=0&amp;modestbranding=1&loop=0";mejs.MediaFeatures.isIE?(b=document.createElement("div"),a.container.appendChild(b),b.outerHTML='<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab" id="'+a.pluginId+'" width="'+a.width+'" height="'+a.height+'" class="mejs-shim"><param name="movie" value="'+c+'" /><param name="wmode" value="transparent" /><param name="allowScriptAccess" value="always" /><param name="allowFullScreen" value="true" /></object>'):
a.container.innerHTML='<object type="application/x-shockwave-flash" id="'+a.pluginId+'" data="'+c+'" width="'+a.width+'" height="'+a.height+'" style="visibility: visible; " class="mejs-shim"><param name="allowScriptAccess" value="always"><param name="wmode" value="transparent"></object>'},flashReady:function(a){var b=this.flashPlayers[a],c=document.getElementById(a),d=b.pluginMediaElement;d.pluginApi=d.pluginElement=c;mejs.MediaPluginBridge.initPlugin(a);c.cueVideoById(b.videoId);a=b.containerId+
"_callback";window[a]=function(a){mejs.YouTubeApi.handleStateChange(a,c,d)};c.addEventListener("onStateChange",a);setInterval(function(){mejs.YouTubeApi.createEvent(c,d,"timeupdate")},250);mejs.YouTubeApi.createEvent(c,d,"canplay")},handleStateChange:function(a,b,c){switch(a){case -1:c.paused=!0;c.ended=!0;mejs.YouTubeApi.createEvent(b,c,"loadedmetadata");break;case 0:c.paused=!1;c.ended=!0;mejs.YouTubeApi.createEvent(b,c,"ended");break;case 1:c.paused=!1;c.ended=!1;mejs.YouTubeApi.createEvent(b,
c,"play");mejs.YouTubeApi.createEvent(b,c,"playing");break;case 2:c.paused=!0;c.ended=!1;mejs.YouTubeApi.createEvent(b,c,"pause");break;case 3:mejs.YouTubeApi.createEvent(b,c,"progress")}}};function onYouTubePlayerAPIReady(){mejs.YouTubeApi.iFrameReady()}function onYouTubePlayerReady(a){mejs.YouTubeApi.flashReady(a)}window.mejs=mejs;window.MediaElement=mejs.MediaElement;
(function(a,b,c){var d={locale:{language:"",strings:{}},methods:{},getLanguage:function(){return(d.locale.language||window.navigator.userLanguage||window.navigator.language).substr(0,2).toLowerCase()}};"undefined"!=typeof mejsL10n&&(d.locale.language=mejsL10n.language);d.methods.checkPlain=function(a){var b,c,d={"&":"&amp;",'"':"&quot;","<":"&lt;",">":"&gt;"};a=String(a);for(b in d)d.hasOwnProperty(b)&&(c=RegExp(b,"g"),a=a.replace(c,d[b]));return a};d.methods.t=function(a,b){d.locale.strings&&(d.locale.strings[b.context]&&
d.locale.strings[b.context][a])&&(a=d.locale.strings[b.context][a]);return d.methods.checkPlain(a)};d.t=function(a,b){if("string"===typeof a&&0<a.length){var c=d.getLanguage();b=b||{context:c};return d.methods.t(a,b)}throw{name:"InvalidArgumentException",message:"First argument is either not a string or empty."};};b.i18n=d})(document,mejs);(function(a,b){"undefined"!=typeof mejsL10n&&(a[mejsL10n.language]=mejsL10n.strings)})(mejs.i18n.locale.strings);
(function(a,b){"undefined"===typeof a.de&&(a.de={Fullscreen:"Vollbild","Go Fullscreen":"Vollbild an","Turn off Fullscreen":"Vollbild aus",Close:"Schlie\u00dfen"})})(mejs.i18n.locale.strings);(function(a,b){"undefined"===typeof a.zh&&(a.zh={Fullscreen:"\u5168\u87a2\u5e55","Go Fullscreen":"\u5168\u5c4f\u6a21\u5f0f","Turn off Fullscreen":"\u9000\u51fa\u5168\u5c4f\u6a21\u5f0f",Close:"\u95dc\u9589"})})(mejs.i18n.locale.strings);
